<?php
/*
    HeaderFilePolycom nos retorna el archivo de cabecera para la configuracion de los
    EndPoint Polycom
*/
function HeaderFilePolycom($MACfile)
{
    $content="<?xml version=\"1.0\" standalone=\"yes\"?>
<APPLICATION APP_FILE_PATH=\"sip.ld\" CONFIG_FILES=\"{$MACfile}reg.cfg, server.cfg, sip.cfg\" MISC_FILES=\"\" LOG_FILE_DIRECTORY=\"/polycom/logs/\" OVERRIDES_DIRECTORY=\"/polycom/overrides/\" CONTACTS_DIRECTORY=\"/polycom/contacts/\"/>";

    return $content;
}

/*
    PrincipalFilePolycom nos retorna el contenido del archivo de configuracion de los EndPoint
    Polycom, para ello es necesario enviarle el DisplayName, Address y AuthPassword.
*/
function PrincipalFilePolycom($DisplayName, $id_device, $secret)
{
    $content="<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>
<reginfo>
    <reg
        reg.1.displayName=\"$DisplayName\"
        reg.1.address=\"$id_device\"
        reg.1.label=\"$id_device\"
        reg.1.auth.userId=\"$id_device\"
        reg.1.auth.password=\"$secret\"
        reg.1.lineKeys=\"1\"
        reg.1.server.1.address=\"\"
        reg.1.server.1.expires=\"\"
        reg.1.server.1.expires.lineSeize=\"30\"
        reg.1.server.1.port=\"5060\"
        reg.1.server.1.register=\"1\"
        reg.1.server.1.retryMaxCount=\"\"
        reg.1.server.1.retryTimeOut=\"\"
        reg.1.server.1.transport=\"DNSnaptr\"
        reg.1.server.2.transport=\"DNSnaptr\"
        reg.1.thirdPartyName=\"\"
        reg.1.type=\"private\"
    />
    <msg msg.bypassInstantMessage=\"1\">
        <mwi msg.mwi.1.callBack=\"*97\" msg.mwi.1.callBackMode=\"contact\" msg.mwi.1.subscribe=\"224\" msg.mwi.2.callBack=\"\" msg.mwi.2.callBackMode=\"disabled\" msg.mwi.2.subscribe=\"\" msg.mwi.3.callBack=\"\" msg.mwi.3.callBackMode=\"disabled\" msg.mwi.3.subscribe=\"\" msg.mwi.4.callBack=\"\" msg.mwi.4.callBackMode=\"disabled\" msg.mwi.4.subscribe=\"\" msg.mwi.5.callBack=\"\" msg.mwi.5.callBackMode=\"disabled\" msg.mwi.5.subscribe=\"\" msg.mwi.6.callBack=\"\" msg.mwi.6.callBackMode=\"disabled\" msg.mwi.6.subscribe=\"\"></mwi>
    </msg>
</reginfo>";

    return $content;
}

/*
    serverFilePolycom nos retorna el contenido del archivo de configuracion del server
    Polycom, para ello es necesario enviarle el ipAdressServer.
*/
function serverFilePolycom($ipAdressServer)
{
    $content="
<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>
<localcfg>
    <server voIpProt.server.1.address=\"$ipAdressServer\"/>
    <SIP>
        <outboundProxy voIpProt.SIP.outboundProxy.address=\"$ipAdressServer\"/>
    </SIP>
    <SNTP tcpIpApp.sntp.daylightSavings.enable=\"1\" tcpIpApp.sntp.address=\"$ipAdressServer\"  tcpIpApp.sntp.gmtOffset=\"-18000\" />
<localcfg>";

    return $content;
}

/*
    sipFilePolycom nos retorna el contenido del archivo de configuracion del sip
    Polycom, para ello es necesario enviarle el ipAdressServer.
*/
function sipFilePolycom($ipAdressServer)
{
    $content= <<<SIP
<?xml version="1.0" standalone="yes"?>
<!-- SIP Application Configuration File -->
<sip>
   <voIpProt>
      <local voIpProt.local.port=""/>
      <server voIpProt.server.1.port="5060" voIpProt.server.1.transport="DNSnaptr" voIpProt.server.1.expires="" voIpProt.server.1.expires.overlap="" voIpProt.server.1.register="1" voIpProt.server.1.retryTimeOut="0" voIpProt.server.1.retryMaxCount="0" voIpProt.server.1.expires.lineSeize="30" voIpProt.server.1.lcs="" voIpProt.server.2.transport="DNSnaptr" voIpProt.server.dhcp.available="" voIpProt.server.dhcp.option="" voIpProt.server.dhcp.type=""/>
      <SIP voIpProt.SIP.useRFC2543hold="0" voIpProt.SIP.useSendonlyHold="1" voIpProt.SIP.lcs="0" voIpProt.SIP.sendCompactHdrs="0" voIpProt.SIP.keepalive.sessionTimers="0" voIpProt.SIP.requestURI.E164.addGlobalPrefix="" voIpProt.SIP.allowTransferOnProceeding="" voIpProt.SIP.ms-forking="" voIpProt.SIP.pingInterval="">
         <outboundProxy voIpProt.SIP.outboundProxy.port="5060" voIpProt.SIP.outboundProxy.transport="DNSnaptr"/>
         <alertInfo voIpProt.SIP.alertInfo.1.value="Ring Answer" voIpProt.SIP.alertInfo.1.class="4"/>
         <requestValidation voIpProt.SIP.requestValidation.1.request="" voIpProt.SIP.requestValidation.1.method="" voIpProt.SIP.requestValidation.1.request.1.event="">
            <digest voIpProt.SIP.requestValidation.digest.realm="PolycomSPIP"/>
         </requestValidation>
         <specialEvent voIpProt.SIP.specialEvent.lineSeize.nonStandard="1" voIpProt.SIP.specialEvent.checkSync.alwaysReboot="0"/>
         <conference voIpProt.SIP.conference.address=""/>
         <dialog voIpProt.SIP.dialog.useSDP="" voIpProt.SIP.dialog.usePvalue=""/>
         <connectionReuse voIpProt.SIP.connectionReuse.useAlias="0"/>
         <SDP>
            <answer voIpProt.SDP.answer.useLocalPreferences=""/>
         </SDP>
      </SIP>
   </voIpProt>
   <dialplan dialplan.impossibleMatchHandling="0" dialplan.removeEndOfDial="1" dialplan.applyToUserSend="1" dialplan.applyToUserDial="1" dialplan.applyToCallListDial="0" dialplan.applyToDirectoryDial="0">
      <digitmap dialplan.digitmap="[2-9]11|0T|011xxx.T|[0-1][2-9]xxxxxxxxx|[2-9]xxxxxxxxx|[2-9]xxxT" dialplan.digitmap.timeOut="3|3|3|3|3|3"/>
      <routing>
         <server dialplan.routing.server.1.address="" dialplan.routing.server.1.port="5060"/>
         <emergency dialplan.routing.emergency.1.value="911" dialplan.routing.emergency.1.server.1="1"/>
      </routing>
   </dialplan>
   <localization>
      <multilingual>
         <language lcl.ml.lang="">
            <menu lcl.ml.lang.menu.1="Chinese_China" lcl.ml.lang.menu.2="Danish_Denmark" lcl.ml.lang.menu.3="Dutch_Netherlands" lcl.ml.lang.menu.4="English_Canada" lcl.ml.lang.menu.5="English_United_Kingdom" lcl.ml.lang.menu.6="English_United_States" lcl.ml.lang.menu.7="French_France" lcl.ml.lang.menu.8="German_Germany" lcl.ml.lang.menu.9="Italian_Italy" lcl.ml.lang.menu.10="Japanese_Japan" lcl.ml.lang.menu.11="Korean_Korea" lcl.ml.lang.menu.12="Norwegian_Norway" lcl.ml.lang.menu.13="Portuguese_Portugal" lcl.ml.lang.menu.14="Russian_Russia" lcl.ml.lang.menu.15="Spanish_Spain" lcl.ml.lang.menu.16="Swedish_Sweden"/>
            <clock lcl.ml.lang.clock.1.24HourClock="1" lcl.ml.lang.clock.1.format="D,dM" lcl.ml.lang.clock.1.longFormat="1" lcl.ml.lang.clock.1.dateTop="1" lcl.ml.lang.clock.2.24HourClock="1" lcl.ml.lang.clock.2.format="D,dM" lcl.ml.lang.clock.2.longFormat="1" lcl.ml.lang.clock.2.dateTop="1" lcl.ml.lang.clock.3.24HourClock="1" lcl.ml.lang.clock.3.format="D,dM" lcl.ml.lang.clock.3.longFormat="1" lcl.ml.lang.clock.3.dateTop="1" lcl.ml.lang.clock.4.24HourClock="0" lcl.ml.lang.clock.4.format="D,Md" lcl.ml.lang.clock.4.longFormat="1" lcl.ml.lang.clock.4.dateTop="1" lcl.ml.lang.clock.5.24HourClock="0" lcl.ml.lang.clock.5.format="D,Md" lcl.ml.lang.clock.5.longFormat="1" lcl.ml.lang.clock.5.dateTop="1" lcl.ml.lang.clock.6.24HourClock="0" lcl.ml.lang.clock.6.format="D,Md" lcl.ml.lang.clock.6.longFormat="1" lcl.ml.lang.clock.6.dateTop="1" lcl.ml.lang.clock.7.24HourClock="1" lcl.ml.lang.clock.7.format="D,dM" lcl.ml.lang.clock.7.longFormat="1" lcl.ml.lang.clock.7.dateTop="1" lcl.ml.lang.clock.8.24HourClock="1" lcl.ml.lang.clock.8.format="D,dM" lcl.ml.lang.clock.8.longFormat="1" lcl.ml.lang.clock.8.dateTop="1" lcl.ml.lang.clock.9.24HourClock="1" lcl.ml.lang.clock.9.format="D,dM" lcl.ml.lang.clock.9.longFormat="1" lcl.ml.lang.clock.9.dateTop="1" lcl.ml.lang.clock.10.24HourClock="1" lcl.ml.lang.clock.10.format="Md,D" lcl.ml.lang.clock.10.longFormat="1" lcl.ml.lang.clock.10.dateTop="1" lcl.ml.lang.clock.11.24HourClock="1" lcl.ml.lang.clock.11.format="D,dM" lcl.ml.lang.clock.11.longFormat="1" lcl.ml.lang.clock.11.dateTop="1" lcl.ml.lang.clock.12.24HourClock="1" lcl.ml.lang.clock.12.format="D,dM" lcl.ml.lang.clock.12.longFormat="1" lcl.ml.lang.clock.12.dateTop="1" lcl.ml.lang.clock.13.24HourClock="1" lcl.ml.lang.clock.13.format="D,dM" lcl.ml.lang.clock.13.longFormat="1" lcl.ml.lang.clock.13.dateTop="1" lcl.ml.lang.clock.14.24HourClock="1" lcl.ml.lang.clock.14.format="D,dM" lcl.ml.lang.clock.14.longFormat="1" lcl.ml.lang.clock.14.dateTop="1" lcl.ml.lang.clock.15.24HourClock="1" lcl.ml.lang.clock.15.format="D,dM" lcl.ml.lang.clock.15.longFormat="1" lcl.ml.lang.clock.15.dateTop="1" lcl.ml.lang.clock.16.24HourClock="1" lcl.ml.lang.clock.16.format="D,dM" lcl.ml.lang.clock.16.longFormat="1" lcl.ml.lang.clock.16.dateTop="1"/>
            <list lcl.ml.lang.IP_500.list="2,3,4,5,6,7,8,9,12,13,14,15,16" lcl.ml.lang.IP_600.list="All"/>
         </language>
      </multilingual>
      <datetime>
         <time lcl.datetime.time.24HourClock="0"/>
         <date lcl.datetime.date.format="D,Md" lcl.datetime.date.longFormat="1" lcl.datetime.date.dateTop="1"/>
      </datetime>
   </localization>
   <user_preferences up.headsetMode="0" up.useDirectoryNames="0" up.oneTouchVoiceMail="0" up.welcomeSoundEnabled="1" up.welcomeSoundOnWarmBootEnabled="0" up.localClockEnabled="1" up.backlight.onIntensity="" up.backlight.idleIntensity=""/>
   <tones>
      <DTMF tone.dtmf.level="-15" tone.dtmf.onTime="50" tone.dtmf.offTime="50" tone.dtmf.chassis.masking="0" tone.dtmf.stim.pac.offHookOnly="0" tone.dtmf.viaRtp="1" tone.dtmf.rfc2833Control="1" tone.dtmf.rfc2833Payload="101"/>
      <chord_sets>
         <CALLPROGRESS>
            <DIAL_TONE tone.chord.callProg.1.freq.1="350" tone.chord.callProg.1.level.1="-19" tone.chord.callProg.1.freq.2="440" tone.chord.callProg.1.level.2="-19" tone.chord.callProg.1.onDur="0" tone.chord.callProg.1.offDur="0" tone.chord.callProg.1.repeat="0"/>
            <BUSY_TONE tone.chord.callProg.2.freq.1="480" tone.chord.callProg.2.level.1="-30" tone.chord.callProg.2.freq.2="620" tone.chord.callProg.2.level.2="-30" tone.chord.callProg.2.onDur="500" tone.chord.callProg.2.offDur="500" tone.chord.callProg.2.repeat="0"/>
            <RINGBACK tone.chord.callProg.3.freq.1="440" tone.chord.callProg.3.level.1="-25" tone.chord.callProg.3.freq.2="480" tone.chord.callProg.3.level.2="-25" tone.chord.callProg.3.onDur="2000" tone.chord.callProg.3.offDur="4000" tone.chord.callProg.3.repeat="0"/>
            <REORDER tone.chord.callProg.4.freq.1="480" tone.chord.callProg.4.level.1="-30" tone.chord.callProg.4.freq.2="620" tone.chord.callProg.4.level.2="-30" tone.chord.callProg.4.onDur="250" tone.chord.callProg.4.offDur="250" tone.chord.callProg.4.repeat="0"/>
            <STUTTER_3 tone.chord.callProg.5.freq.1="350" tone.chord.callProg.5.level.1="-19" tone.chord.callProg.5.freq.2="440" tone.chord.callProg.5.level.2="-19" tone.chord.callProg.5.onDur="100" tone.chord.callProg.5.offDur="100" tone.chord.callProg.5.repeat="3"/>
            <CALL_WAITING tone.chord.callProg.6.freq.1="440" tone.chord.callProg.6.level.1="-19" tone.chord.callProg.6.onDur="300" tone.chord.callProg.6.offDur="0" tone.chord.callProg.6.repeat="1"/>
            <HOWLER tone.chord.callProg.7.freq.1="900" tone.chord.callProg.7.level.1="-12" tone.chord.callProg.7.freq.2="1100" tone.chord.callProg.7.level.2="-12" tone.chord.callProg.7.freq.3="1300" tone.chord.callProg.7.level.3="-12" tone.chord.callProg.7.freq.4="1500" tone.chord.callProg.7.level.4="-12" tone.chord.callProg.7.onDur="100" tone.chord.callProg.7.offDur="100" tone.chord.callProg.7.repeat="0"/>
            <REC_WARNING tone.chord.callProg.8.freq.1="1400" tone.chord.callProg.8.level.1="-25" tone.chord.callProg.8.onDur="500" tone.chord.callProg.8.offDur="0" tone.chord.callProg.8.repeat="1"/>
            <STUTTER_LONG tone.chord.callProg.9.freq.1="350" tone.chord.callProg.9.level.1="-19" tone.chord.callProg.9.freq.2="440" tone.chord.callProg.9.level.2="-19" tone.chord.callProg.9.onDur="100" tone.chord.callProg.9.offDur="100" tone.chord.callProg.9.repeat="6"/>
            <INTERCOM tone.chord.callProg.10.freq.1="550" tone.chord.callProg.10.level.1="-19" tone.chord.callProg.10.onDur="500" tone.chord.callProg.10.offDur="0" tone.chord.callProg.10.repeat="1"/>
         </CALLPROGRESS>
         <RINGER>
            <SINGLE_NOTES>
               <F2 tone.chord.ringer.1.freq.1="349" tone.chord.ringer.1.level.1="-10" tone.chord.ringer.1.onDur="100" tone.chord.ringer.1.offDur="0" tone.chord.ringer.1.repeat="1"/>
               <Gb2 tone.chord.ringer.2.freq.1="370" tone.chord.ringer.2.level.1="-10" tone.chord.ringer.2.onDur="100" tone.chord.ringer.2.offDur="0" tone.chord.ringer.2.repeat="1"/>
               <G2 tone.chord.ringer.3.freq.1="392" tone.chord.ringer.3.level.1="-10" tone.chord.ringer.3.onDur="100" tone.chord.ringer.3.offDur="0" tone.chord.ringer.3.repeat="1"/>
               <Ab2 tone.chord.ringer.4.freq.1="415" tone.chord.ringer.4.level.1="-10" tone.chord.ringer.4.onDur="100" tone.chord.ringer.4.offDur="0" tone.chord.ringer.4.repeat="1"/>
               <A3 tone.chord.ringer.5.freq.1="440" tone.chord.ringer.5.level.1="-10" tone.chord.ringer.5.onDur="100" tone.chord.ringer.5.offDur="0" tone.chord.ringer.5.repeat="1"/>
               <Bb3 tone.chord.ringer.6.freq.1="466" tone.chord.ringer.6.level.1="-10" tone.chord.ringer.6.onDur="100" tone.chord.ringer.6.offDur="0" tone.chord.ringer.6.repeat="1"/>
               <B3 tone.chord.ringer.7.freq.1="494" tone.chord.ringer.7.level.1="-10" tone.chord.ringer.7.onDur="100" tone.chord.ringer.7.offDur="0" tone.chord.ringer.7.repeat="1"/>
               <C3 tone.chord.ringer.8.freq.1="523" tone.chord.ringer.8.level.1="-10" tone.chord.ringer.8.onDur="100" tone.chord.ringer.8.offDur="0" tone.chord.ringer.8.repeat="1"/>
               <Db3 tone.chord.ringer.9.freq.1="554" tone.chord.ringer.9.level.1="-10" tone.chord.ringer.9.onDur="100" tone.chord.ringer.9.offDur="0" tone.chord.ringer.9.repeat="1"/>
               <D3 tone.chord.ringer.10.freq.1="587" tone.chord.ringer.10.level.1="-10" tone.chord.ringer.10.onDur="100" tone.chord.ringer.10.offDur="0" tone.chord.ringer.10.repeat="1"/>
               <Eb3 tone.chord.ringer.11.freq.1="622" tone.chord.ringer.11.level.1="-10" tone.chord.ringer.11.onDur="100" tone.chord.ringer.11.offDur="0" tone.chord.ringer.11.repeat="1"/>
               <E3 tone.chord.ringer.12.freq.1="659" tone.chord.ringer.12.level.1="-10" tone.chord.ringer.12.onDur="100" tone.chord.ringer.12.offDur="0" tone.chord.ringer.12.repeat="1"/>
               <F3 tone.chord.ringer.13.freq.1="698" tone.chord.ringer.13.level.1="-10" tone.chord.ringer.13.onDur="100" tone.chord.ringer.13.offDur="0" tone.chord.ringer.13.repeat="1"/>
               <Gb3 tone.chord.ringer.14.freq.1="740" tone.chord.ringer.14.level.1="-10" tone.chord.ringer.14.onDur="100" tone.chord.ringer.14.offDur="0" tone.chord.ringer.14.repeat="1"/>
               <G3 tone.chord.ringer.15.freq.1="784" tone.chord.ringer.15.level.1="-10" tone.chord.ringer.15.onDur="100" tone.chord.ringer.15.offDur="0" tone.chord.ringer.15.repeat="1"/>
               <Ab3 tone.chord.ringer.16.freq.1="830" tone.chord.ringer.16.level.1="-10" tone.chord.ringer.16.onDur="100" tone.chord.ringer.16.offDur="0" tone.chord.ringer.16.repeat="1"/>
               <A4 tone.chord.ringer.17.freq.1="880" tone.chord.ringer.17.level.1="-10" tone.chord.ringer.17.onDur="100" tone.chord.ringer.17.offDur="0" tone.chord.ringer.17.repeat="1"/>
               <Bb4 tone.chord.ringer.18.freq.1="932" tone.chord.ringer.18.level.1="-10" tone.chord.ringer.18.onDur="100" tone.chord.ringer.18.offDur="0" tone.chord.ringer.18.repeat="1"/>
               <B4 tone.chord.ringer.19.freq.1="988" tone.chord.ringer.19.level.1="-10" tone.chord.ringer.19.onDur="100" tone.chord.ringer.19.offDur="0" tone.chord.ringer.19.repeat="1"/>
               <C4 tone.chord.ringer.20.freq.1="1046" tone.chord.ringer.20.level.1="-10" tone.chord.ringer.20.onDur="100" tone.chord.ringer.20.offDur="0" tone.chord.ringer.20.repeat="1"/>
               <Db4 tone.chord.ringer.21.freq.1="1109" tone.chord.ringer.21.level.1="-10" tone.chord.ringer.21.onDur="100" tone.chord.ringer.21.offDur="0" tone.chord.ringer.21.repeat="1"/>
               <D4 tone.chord.ringer.22.freq.1="1175" tone.chord.ringer.22.level.1="-10" tone.chord.ringer.22.onDur="100" tone.chord.ringer.22.offDur="0" tone.chord.ringer.22.repeat="1"/>
               <Eb4 tone.chord.ringer.23.freq.1="1244" tone.chord.ringer.23.level.1="-10" tone.chord.ringer.23.onDur="100" tone.chord.ringer.23.offDur="0" tone.chord.ringer.23.repeat="1"/>
               <E4 tone.chord.ringer.24.freq.1="1318" tone.chord.ringer.24.level.1="-10" tone.chord.ringer.24.onDur="100" tone.chord.ringer.24.offDur="0" tone.chord.ringer.24.repeat="1"/>
               <F4 tone.chord.ringer.25.freq.1="1397" tone.chord.ringer.25.level.1="-10" tone.chord.ringer.25.onDur="100" tone.chord.ringer.25.offDur="0" tone.chord.ringer.25.repeat="1"/>
               <SPARE_1 tone.chord.ringer.26.freq.1="1000" tone.chord.ringer.26.level.1="-10" tone.chord.ringer.26.onDur="100" tone.chord.ringer.26.offDur="0" tone.chord.ringer.26.repeat="1"/>
               <SPARE_2 tone.chord.ringer.27.freq.1="1000" tone.chord.ringer.27.level.1="-10" tone.chord.ringer.27.onDur="100" tone.chord.ringer.27.offDur="0" tone.chord.ringer.27.repeat="1"/>
               <SPARE_3 tone.chord.ringer.28.freq.1="1000" tone.chord.ringer.28.level.1="-10" tone.chord.ringer.28.onDur="100" tone.chord.ringer.28.offDur="0" tone.chord.ringer.28.repeat="1"/>
               <SPARE_4 tone.chord.ringer.29.freq.1="1000" tone.chord.ringer.29.level.1="-10" tone.chord.ringer.29.onDur="100" tone.chord.ringer.29.offDur="0" tone.chord.ringer.29.repeat="1"/>
               <SPARE_5 tone.chord.ringer.30.freq.1="1000" tone.chord.ringer.30.level.1="-10" tone.chord.ringer.30.onDur="100" tone.chord.ringer.30.offDur="0" tone.chord.ringer.30.repeat="1"/>
            </SINGLE_NOTES>
            <MULTI_NOTE_CHORDS>
               <A3_MAJOR tone.chord.ringer.31.freq.1="440" tone.chord.ringer.31.level.1="-10" tone.chord.ringer.31.freq.2="554" tone.chord.ringer.31.level.2="-10" tone.chord.ringer.31.freq.3="659" tone.chord.ringer.31.level.3="-10" tone.chord.ringer.31.freq.4="880" tone.chord.ringer.31.level.4="-19" tone.chord.ringer.31.onDur="100" tone.chord.ringer.31.offDur="0" tone.chord.ringer.31.repeat="1"/>
               <Bb3_MAJOR tone.chord.ringer.32.freq.1="466" tone.chord.ringer.32.level.1="-10" tone.chord.ringer.32.freq.2="587" tone.chord.ringer.32.level.2="-10" tone.chord.ringer.32.freq.3="698" tone.chord.ringer.32.level.3="-10" tone.chord.ringer.32.freq.4="932" tone.chord.ringer.32.level.4="-19" tone.chord.ringer.32.onDur="100" tone.chord.ringer.32.offDur="0" tone.chord.ringer.32.repeat="1"/>
               <B3_MAJOR tone.chord.ringer.33.freq.1="493" tone.chord.ringer.33.level.1="-10" tone.chord.ringer.33.freq.2="622" tone.chord.ringer.33.level.2="-10" tone.chord.ringer.33.freq.3="740" tone.chord.ringer.33.level.3="-10" tone.chord.ringer.33.freq.4="988" tone.chord.ringer.33.level.4="-19" tone.chord.ringer.33.onDur="100" tone.chord.ringer.33.offDur="0" tone.chord.ringer.33.repeat="1"/>
               <C3_MAJOR tone.chord.ringer.34.freq.1="523" tone.chord.ringer.34.level.1="-10" tone.chord.ringer.34.freq.2="659" tone.chord.ringer.34.level.2="-10" tone.chord.ringer.34.freq.3="784" tone.chord.ringer.34.level.3="-10" tone.chord.ringer.34.freq.4="1046" tone.chord.ringer.34.level.4="-19" tone.chord.ringer.34.onDur="100" tone.chord.ringer.34.offDur="0" tone.chord.ringer.34.repeat="1"/>
               <Db3_MAJOR tone.chord.ringer.35.freq.1="554" tone.chord.ringer.35.level.1="-10" tone.chord.ringer.35.freq.2="698" tone.chord.ringer.35.level.2="-10" tone.chord.ringer.35.freq.3="830" tone.chord.ringer.35.level.3="-10" tone.chord.ringer.35.freq.4="1109" tone.chord.ringer.35.level.4="-19" tone.chord.ringer.35.onDur="100" tone.chord.ringer.35.offDur="0" tone.chord.ringer.35.repeat="1"/>
               <D3_MAJOR tone.chord.ringer.36.freq.1="587" tone.chord.ringer.36.level.1="-10" tone.chord.ringer.36.freq.2="740" tone.chord.ringer.36.level.2="-10" tone.chord.ringer.36.freq.3="880" tone.chord.ringer.36.level.3="-10" tone.chord.ringer.36.freq.4="1175" tone.chord.ringer.36.level.4="-19" tone.chord.ringer.36.onDur="100" tone.chord.ringer.36.offDur="0" tone.chord.ringer.36.repeat="1"/>
               <Eb3_MAJOR tone.chord.ringer.37.freq.1="622" tone.chord.ringer.37.level.1="-10" tone.chord.ringer.37.freq.2="783" tone.chord.ringer.37.level.2="-10" tone.chord.ringer.37.freq.3="932" tone.chord.ringer.37.level.3="-10" tone.chord.ringer.37.freq.4="1244" tone.chord.ringer.37.level.4="-16" tone.chord.ringer.37.onDur="100" tone.chord.ringer.37.offDur="0" tone.chord.ringer.37.repeat="1"/>
               <E3_MAJOR tone.chord.ringer.38.freq.1="659" tone.chord.ringer.38.level.1="-10" tone.chord.ringer.38.freq.2="831" tone.chord.ringer.38.level.2="-10" tone.chord.ringer.38.freq.3="988" tone.chord.ringer.38.level.3="-10" tone.chord.ringer.38.freq.4="1318" tone.chord.ringer.38.level.4="-19" tone.chord.ringer.38.onDur="100" tone.chord.ringer.38.offDur="0" tone.chord.ringer.38.repeat="1"/>
               <F3_MAJOR tone.chord.ringer.39.freq.1="698" tone.chord.ringer.39.level.1="-10" tone.chord.ringer.39.freq.2="880" tone.chord.ringer.39.level.2="-10" tone.chord.ringer.39.freq.3="1046" tone.chord.ringer.39.level.3="-10" tone.chord.ringer.39.freq.4="1397" tone.chord.ringer.39.level.4="-19" tone.chord.ringer.39.onDur="100" tone.chord.ringer.39.offDur="0" tone.chord.ringer.39.repeat="1"/>
               <Gb3_MAJOR tone.chord.ringer.40.freq.1="740" tone.chord.ringer.40.level.1="-10" tone.chord.ringer.40.freq.2="932" tone.chord.ringer.40.level.2="-10" tone.chord.ringer.40.freq.3="1108" tone.chord.ringer.40.level.3="-10" tone.chord.ringer.40.freq.4="1480" tone.chord.ringer.40.level.4="-19" tone.chord.ringer.40.onDur="100" tone.chord.ringer.40.offDur="0" tone.chord.ringer.40.repeat="1"/>
               <G3_MAJOR tone.chord.ringer.41.freq.1="784" tone.chord.ringer.41.level.1="-10" tone.chord.ringer.41.freq.2="988" tone.chord.ringer.41.level.2="-10" tone.chord.ringer.41.freq.3="1174" tone.chord.ringer.41.level.3="-10" tone.chord.ringer.41.freq.4="1568" tone.chord.ringer.41.level.4="-16" tone.chord.ringer.41.onDur="100" tone.chord.ringer.41.offDur="0" tone.chord.ringer.41.repeat="1"/>
               <Ab3_MAJOR tone.chord.ringer.42.freq.1="831" tone.chord.ringer.42.level.1="-10" tone.chord.ringer.42.freq.2="1046" tone.chord.ringer.42.level.2="-10" tone.chord.ringer.42.freq.3="1244" tone.chord.ringer.42.level.3="-10" tone.chord.ringer.42.freq.4="1661" tone.chord.ringer.42.level.4="-19" tone.chord.ringer.42.onDur="100" tone.chord.ringer.42.offDur="0" tone.chord.ringer.42.repeat="1"/>
               <A4_MAJOR tone.chord.ringer.43.freq.1="880" tone.chord.ringer.43.level.1="-10" tone.chord.ringer.43.freq.2="1108" tone.chord.ringer.43.level.2="-10" tone.chord.ringer.43.freq.3="1318" tone.chord.ringer.43.level.3="-10" tone.chord.ringer.43.freq.4="1760" tone.chord.ringer.43.level.4="-19" tone.chord.ringer.43.onDur="100" tone.chord.ringer.43.offDur="0" tone.chord.ringer.43.repeat="1"/>
               <SPARE_1 tone.chord.ringer.44.freq.1="1000" tone.chord.ringer.44.level.1="-10" tone.chord.ringer.44.freq.2="1000" tone.chord.ringer.44.level.2="-10" tone.chord.ringer.44.freq.3="1000" tone.chord.ringer.44.level.3="-10" tone.chord.ringer.44.freq.4="1000" tone.chord.ringer.44.level.4="-10" tone.chord.ringer.44.onDur="100" tone.chord.ringer.44.offDur="0" tone.chord.ringer.44.repeat="1"/>
               <SPARE_2 tone.chord.ringer.45.freq.1="1000" tone.chord.ringer.45.level.1="-10" tone.chord.ringer.45.freq.2="1000" tone.chord.ringer.45.level.2="-10" tone.chord.ringer.45.freq.3="1000" tone.chord.ringer.45.level.3="-10" tone.chord.ringer.45.freq.4="1000" tone.chord.ringer.45.level.4="-10" tone.chord.ringer.45.onDur="100" tone.chord.ringer.45.offDur="0" tone.chord.ringer.45.repeat="1"/>
            </MULTI_NOTE_CHORDS>
            <PSTN_CALL_PROGRESS_TONES>
               <RINGBACK tone.chord.ringer.46.freq.1="440" tone.chord.ringer.46.level.1="-10" tone.chord.ringer.46.freq.2="480" tone.chord.ringer.46.level.2="-10" tone.chord.ringer.46.onDur="400" tone.chord.ringer.46.offDur="200" tone.chord.ringer.46.repeat="2"/>
               <SPARE_1 tone.chord.ringer.47.freq.1="440" tone.chord.ringer.47.level.1="-10" tone.chord.ringer.47.freq.2="480" tone.chord.ringer.47.level.2="-10" tone.chord.ringer.47.onDur="400" tone.chord.ringer.47.offDur="0" tone.chord.ringer.47.repeat="1"/>
               <SPARE_2 tone.chord.ringer.48.freq.1="440" tone.chord.ringer.48.level.1="-10" tone.chord.ringer.48.freq.2="480" tone.chord.ringer.48.level.2="-10" tone.chord.ringer.48.onDur="400" tone.chord.ringer.48.offDur="0" tone.chord.ringer.48.repeat="1"/>
               <SPARE_3 tone.chord.ringer.49.freq.1="440" tone.chord.ringer.49.level.1="-10" tone.chord.ringer.49.freq.2="480" tone.chord.ringer.49.level.2="-10" tone.chord.ringer.49.onDur="400" tone.chord.ringer.49.offDur="0" tone.chord.ringer.49.repeat="1"/>
               <SPARE_4 tone.chord.ringer.50.freq.1="440" tone.chord.ringer.50.level.1="-10" tone.chord.ringer.50.freq.2="480" tone.chord.ringer.50.level.2="-10" tone.chord.ringer.50.onDur="400" tone.chord.ringer.50.offDur="0" tone.chord.ringer.50.repeat="1"/>
            </PSTN_CALL_PROGRESS_TONES>
            <MISCELLANEOUS>
               <ORIGINAL_LOW tone.chord.ringer.51.freq.1="622" tone.chord.ringer.51.level.1="-10" tone.chord.ringer.51.freq.2="933" tone.chord.ringer.51.level.2="-16" tone.chord.ringer.51.freq.3="1244" tone.chord.ringer.51.level.3="-19" tone.chord.ringer.51.freq.4="0" tone.chord.ringer.51.level.4="-45" tone.chord.ringer.51.onDur="100" tone.chord.ringer.51.offDur="0" tone.chord.ringer.51.repeat="1"/>
               <ORIGINAL_HIGH tone.chord.ringer.52.freq.1="784" tone.chord.ringer.52.level.1="-10" tone.chord.ringer.52.freq.2="1176" tone.chord.ringer.52.level.2="-16" tone.chord.ringer.52.freq.3="1568" tone.chord.ringer.52.level.3="-19" tone.chord.ringer.52.freq.4="0" tone.chord.ringer.52.level.4="-45" tone.chord.ringer.52.onDur="100" tone.chord.ringer.52.offDur="0" tone.chord.ringer.52.repeat="1"/>
               <SPARE_1 tone.chord.ringer.53.freq.1="440" tone.chord.ringer.53.level.1="-10" tone.chord.ringer.53.freq.2="480" tone.chord.ringer.53.level.2="-10" tone.chord.ringer.53.onDur="400" tone.chord.ringer.53.offDur="0" tone.chord.ringer.53.repeat="1"/>
               <SPARE_2 tone.chord.ringer.54.freq.1="440" tone.chord.ringer.54.level.1="-10" tone.chord.ringer.54.freq.2="480" tone.chord.ringer.54.level.2="-10" tone.chord.ringer.54.onDur="400" tone.chord.ringer.54.offDur="0" tone.chord.ringer.54.repeat="1"/>
               <SPARE_3 tone.chord.ringer.55.freq.1="440" tone.chord.ringer.55.level.1="-10" tone.chord.ringer.55.freq.2="480" tone.chord.ringer.55.level.2="-10" tone.chord.ringer.55.onDur="400" tone.chord.ringer.55.offDur="0" tone.chord.ringer.55.repeat="1"/>
            </MISCELLANEOUS>
         </RINGER>
         <MISCELLANEOUS>
            <CS_1 tone.chord.misc.1.freq.1="440" tone.chord.misc.1.level.1="-10" tone.chord.misc.1.freq.2="554" tone.chord.misc.1.level.2="-10" tone.chord.misc.1.freq.3="659" tone.chord.misc.1.level.3="-10" tone.chord.misc.1.onDur="100" tone.chord.misc.1.offDur="0" tone.chord.misc.1.repeat="1"/>
            <CS_2 tone.chord.misc.2.freq.1="493" tone.chord.misc.2.level.1="-10" tone.chord.misc.2.freq.2="622" tone.chord.misc.2.level.2="-10" tone.chord.misc.2.freq.3="740" tone.chord.misc.2.level.3="-10" tone.chord.misc.2.onDur="100" tone.chord.misc.2.offDur="0" tone.chord.misc.2.repeat="1"/>
            <CS_3 tone.chord.misc.3.freq.1="523" tone.chord.misc.3.level.1="-10" tone.chord.misc.3.freq.2="659" tone.chord.misc.3.level.2="-10" tone.chord.misc.3.freq.3="784" tone.chord.misc.3.level.3="-10" tone.chord.misc.3.onDur="100" tone.chord.misc.3.offDur="0" tone.chord.misc.3.repeat="1"/>
            <CS_4 tone.chord.misc.4.freq.1="659" tone.chord.misc.4.level.1="-10" tone.chord.misc.4.freq.2="831" tone.chord.misc.4.level.2="-10" tone.chord.misc.4.freq.3="988" tone.chord.misc.4.level.3="-10" tone.chord.misc.4.onDur="100" tone.chord.misc.4.offDur="0" tone.chord.misc.4.repeat="1"/>
            <CS_5 tone.chord.misc.5.freq.1="880" tone.chord.misc.5.level.1="-10" tone.chord.misc.5.freq.2="1108" tone.chord.misc.5.level.2="-10" tone.chord.misc.5.freq.3="1318" tone.chord.misc.5.level.3="-10" tone.chord.misc.5.onDur="100" tone.chord.misc.5.offDur="0" tone.chord.misc.5.repeat="1"/>
            <CS_6 tone.chord.misc.6.freq.1="622" tone.chord.misc.6.level.1="-10" tone.chord.misc.6.freq.2="783" tone.chord.misc.6.level.2="-10" tone.chord.misc.6.freq.3="932" tone.chord.misc.6.level.3="-10" tone.chord.misc.6.onDur="100" tone.chord.misc.6.offDur="0" tone.chord.misc.6.repeat="1"/>
            <CS_7 tone.chord.misc.7.freq.1="784" tone.chord.misc.7.level.1="-10" tone.chord.misc.7.freq.2="988" tone.chord.misc.7.level.2="-10" tone.chord.misc.7.freq.3="1174" tone.chord.misc.7.level.3="-10" tone.chord.misc.7.onDur="100" tone.chord.misc.7.offDur="0" tone.chord.misc.7.repeat="1"/>
         </MISCELLANEOUS>
      </chord_sets>
   </tones>
   <sampled_audio saf.1="SoundPointIPWelcome.wav" saf.2="" saf.3="" saf.4="" saf.5="" saf.6="" saf.7="" saf.8="" saf.9="" saf.10="" saf.11="" saf.12="" saf.13="" saf.14="" saf.15="" saf.16="" saf.17="" saf.18="" saf.19="" saf.20="" saf.21="" saf.22="" saf.23="" saf.24=""/>
   <sound_effects se.stutterOnVoiceMail="1" se.appLocalEnabled="1">
      <patterns>
         <CALLPROGRESS>
            <DIAL_TONE se.pat.callProg.1.name="dial" se.pat.callProg.1.inst.1.type="chord" se.pat.callProg.1.inst.1.value="1"/>
            <BUSY_TONE se.pat.callProg.2.name="busy" se.pat.callProg.2.inst.1.type="chord" se.pat.callProg.2.inst.1.value="2"/>
            <RINGBACK se.pat.callProg.3.name="ringback" se.pat.callProg.3.inst.1.type="silence" se.pat.callProg.3.inst.1.value="2000" se.pat.callProg.3.inst.2.type="chord" se.pat.callProg.3.inst.2.value="3"/>
            <REORDER se.pat.callProg.4.name="reorder" se.pat.callProg.4.inst.1.type="chord" se.pat.callProg.4.inst.1.value="4"/>
            <STUTTER se.pat.callProg.5.name="stutter" se.pat.callProg.5.inst.1.type="chord" se.pat.callProg.5.inst.1.value="9" se.pat.callProg.5.inst.2.type="chord" se.pat.callProg.5.inst.2.value="1"/>
            <CALLWAITING se.pat.callProg.6.name="call waiting" se.pat.callProg.6.inst.1.type="chord" se.pat.callProg.6.inst.1.value="6"/>
            <CALLWAITINGLONG se.pat.callProg.7.name="long call waiting" se.pat.callProg.7.inst.1.type="chord" se.pat.callProg.7.inst.1.value="6" se.pat.callProg.7.inst.2.type="silence" se.pat.callProg.7.inst.2.value="150" se.pat.callProg.7.inst.3.type="chord" se.pat.callProg.7.inst.3.value="6"/>
            <CONFIRMATION se.pat.callProg.8.name="confirmation" se.pat.callProg.8.inst.1.type="chord" se.pat.callProg.8.inst.1.value="5"/>
            <HOWLER se.pat.callProg.9.name="howler" se.pat.callProg.9.inst.1.type="chord" se.pat.callProg.9.inst.1.value="7"/>
            <REC_WARNING se.pat.callProg.10.name="warning" se.pat.callProg.10.inst.1.type="chord" se.pat.callProg.10.inst.1.value="8" se.pat.callProg.10.inst.2.type="silence" se.pat.callProg.10.inst.2.value="14500" se.pat.callProg.10.inst.3.type="branch" se.pat.callProg.10.inst.3.value="-2"/>
            <MSG_WAITING se.pat.callProg.11.name="message waiting" se.pat.callProg.11.inst.1.type="chord" se.pat.callProg.11.inst.1.value="9" se.pat.callProg.11.inst.2.type="chord" se.pat.callProg.11.inst.2.value="1"/>
            <ALERTING se.pat.callProg.12.name="alerting" se.pat.callProg.12.inst.1.type="chord" se.pat.callProg.12.inst.1.value="8" se.pat.callProg.12.inst.1.param="2000" se.pat.callProg.12.inst.2.type="silence" se.pat.callProg.12.inst.2.value="9500" se.pat.callProg.12.inst.3.type="chord" se.pat.callProg.12.inst.3.value="8" se.pat.callProg.12.inst.3.param="500" se.pat.callProg.12.inst.4.type="branch" se.pat.callProg.12.inst.4.value="-2"/>
            <INTERCOM se.pat.callProg.13.name="intercom" se.pat.callProg.13.inst.1.type="chord" se.pat.callProg.13.inst.1.value="10"/>
            <BARGE_IN se.pat.callProg.14.name="bargein" se.pat.callProg.14.inst.1.type="chord" se.pat.callProg.14.inst.1.value="6" se.pat.callProg.14.inst.2.type="silence" se.pat.callProg.14.inst.2.value="200" se.pat.callProg.14.inst.3.type="chord" se.pat.callProg.14.inst.3.value="6"/>
            <SECONDARY_DIAL_TONE se.pat.callProg.15.name="secondary dial" se.pat.callProg.15.inst.1.type="chord" se.pat.callProg.15.inst.1.value="1"/>
         </CALLPROGRESS>
         <RINGER>
            <SILENT se.pat.ringer.1.name="Silent Ring" se.pat.ringer.1.inst.1.type="silence" se.pat.ringer.1.inst.1.value="0"/>
            <LONG_SINGLE_A3Db3_MAJOR_WARBLE se.pat.ringer.2.name="Low Trill" se.pat.ringer.2.inst.1.type="chord" se.pat.ringer.2.inst.1.value="31" se.pat.ringer.2.inst.2.type="chord" se.pat.ringer.2.inst.2.value="35" se.pat.ringer.2.inst.3.type="chord" se.pat.ringer.2.inst.3.value="31" se.pat.ringer.2.inst.4.type="chord" se.pat.ringer.2.inst.4.value="35" se.pat.ringer.2.inst.5.type="chord" se.pat.ringer.2.inst.5.value="31" se.pat.ringer.2.inst.6.type="chord" se.pat.ringer.2.inst.6.value="35" se.pat.ringer.2.inst.7.type="chord" se.pat.ringer.2.inst.7.value="31" se.pat.ringer.2.inst.8.type="chord" se.pat.ringer.2.inst.8.value="35" se.pat.ringer.2.inst.9.type="chord" se.pat.ringer.2.inst.9.value="31" se.pat.ringer.2.inst.10.type="chord" se.pat.ringer.2.inst.10.value="35" se.pat.ringer.2.inst.11.type="silence" se.pat.ringer.2.inst.11.value="3000" se.pat.ringer.2.inst.12.type="branch" se.pat.ringer.2.inst.12.value="-11"/>
            <SHORT_DOUBLE_A3Db3_MAJOR_WARBLE se.pat.ringer.3.name="Low Double Trill" se.pat.ringer.3.inst.1.type="chord" se.pat.ringer.3.inst.1.value="31" se.pat.ringer.3.inst.2.type="chord" se.pat.ringer.3.inst.2.value="35" se.pat.ringer.3.inst.3.type="chord" se.pat.ringer.3.inst.3.value="31" se.pat.ringer.3.inst.4.type="chord" se.pat.ringer.3.inst.4.value="35" se.pat.ringer.3.inst.5.type="silence" se.pat.ringer.3.inst.5.value="200" se.pat.ringer.3.inst.6.type="chord" se.pat.ringer.3.inst.6.value="31" se.pat.ringer.3.inst.7.type="chord" se.pat.ringer.3.inst.7.value="35" se.pat.ringer.3.inst.8.type="chord" se.pat.ringer.3.inst.8.value="31" se.pat.ringer.3.inst.9.type="chord" se.pat.ringer.3.inst.9.value="35" se.pat.ringer.3.inst.10.type="silence" se.pat.ringer.3.inst.10.value="2000" se.pat.ringer.3.inst.11.type="branch" se.pat.ringer.3.inst.11.value="-10"/>
            <LONG_SINGLE_C3E3_MAJOR_WARBLE se.pat.ringer.4.name="Medium Trill" se.pat.ringer.4.inst.1.type="chord" se.pat.ringer.4.inst.1.value="34" se.pat.ringer.4.inst.2.type="chord" se.pat.ringer.4.inst.2.value="38" se.pat.ringer.4.inst.3.type="chord" se.pat.ringer.4.inst.3.value="34" se.pat.ringer.4.inst.4.type="chord" se.pat.ringer.4.inst.4.value="38" se.pat.ringer.4.inst.5.type="chord" se.pat.ringer.4.inst.5.value="34" se.pat.ringer.4.inst.6.type="chord" se.pat.ringer.4.inst.6.value="38" se.pat.ringer.4.inst.7.type="chord" se.pat.ringer.4.inst.7.value="34" se.pat.ringer.4.inst.8.type="chord" se.pat.ringer.4.inst.8.value="38" se.pat.ringer.4.inst.9.type="chord" se.pat.ringer.4.inst.9.value="34" se.pat.ringer.4.inst.10.type="chord" se.pat.ringer.4.inst.10.value="38" se.pat.ringer.4.inst.11.type="silence" se.pat.ringer.4.inst.11.value="3000" se.pat.ringer.4.inst.12.type="branch" se.pat.ringer.4.inst.12.value="-11"/>
            <SHORT_DOUBLE_C3E3_MAJOR_WARBLE se.pat.ringer.5.name="Medium Double Trill" se.pat.ringer.5.inst.1.type="chord" se.pat.ringer.5.inst.1.value="34" se.pat.ringer.5.inst.2.type="chord" se.pat.ringer.5.inst.2.value="38" se.pat.ringer.5.inst.3.type="chord" se.pat.ringer.5.inst.3.value="34" se.pat.ringer.5.inst.4.type="chord" se.pat.ringer.5.inst.4.value="38" se.pat.ringer.5.inst.5.type="silence" se.pat.ringer.5.inst.5.value="200" se.pat.ringer.5.inst.6.type="chord" se.pat.ringer.5.inst.6.value="34" se.pat.ringer.5.inst.7.type="chord" se.pat.ringer.5.inst.7.value="38" se.pat.ringer.5.inst.8.type="chord" se.pat.ringer.5.inst.8.value="34" se.pat.ringer.5.inst.9.type="chord" se.pat.ringer.5.inst.9.value="38" se.pat.ringer.5.inst.10.type="silence" se.pat.ringer.5.inst.10.value="2000" se.pat.ringer.5.inst.11.type="branch" se.pat.ringer.5.inst.11.value="-10"/>
            <LONG_SINGLE_WARBLE_1 se.pat.ringer.6.name="High Trill" se.pat.ringer.6.inst.1.type="chord" se.pat.ringer.6.inst.1.value="51" se.pat.ringer.6.inst.2.type="chord" se.pat.ringer.6.inst.2.value="52" se.pat.ringer.6.inst.3.type="chord" se.pat.ringer.6.inst.3.value="51" se.pat.ringer.6.inst.4.type="chord" se.pat.ringer.6.inst.4.value="52" se.pat.ringer.6.inst.5.type="chord" se.pat.ringer.6.inst.5.value="51" se.pat.ringer.6.inst.6.type="chord" se.pat.ringer.6.inst.6.value="52" se.pat.ringer.6.inst.7.type="chord" se.pat.ringer.6.inst.7.value="51" se.pat.ringer.6.inst.8.type="chord" se.pat.ringer.6.inst.8.value="52" se.pat.ringer.6.inst.9.type="chord" se.pat.ringer.6.inst.9.value="51" se.pat.ringer.6.inst.10.type="chord" se.pat.ringer.6.inst.10.value="52" se.pat.ringer.6.inst.11.type="silence" se.pat.ringer.6.inst.11.value="3000" se.pat.ringer.6.inst.12.type="branch" se.pat.ringer.6.inst.12.value="-11"/>
            <SHORT_DOUBLE_WARBLE_1 se.pat.ringer.7.name="High Double Trill" se.pat.ringer.7.inst.1.type="chord" se.pat.ringer.7.inst.1.value="51" se.pat.ringer.7.inst.2.type="chord" se.pat.ringer.7.inst.2.value="52" se.pat.ringer.7.inst.3.type="chord" se.pat.ringer.7.inst.3.value="51" se.pat.ringer.7.inst.4.type="chord" se.pat.ringer.7.inst.4.value="52" se.pat.ringer.7.inst.5.type="silence" se.pat.ringer.7.inst.5.value="200" se.pat.ringer.7.inst.6.type="chord" se.pat.ringer.7.inst.6.value="51" se.pat.ringer.7.inst.7.type="chord" se.pat.ringer.7.inst.7.value="52" se.pat.ringer.7.inst.8.type="chord" se.pat.ringer.7.inst.8.value="51" se.pat.ringer.7.inst.9.type="chord" se.pat.ringer.7.inst.9.value="52" se.pat.ringer.7.inst.10.type="silence" se.pat.ringer.7.inst.10.value="2000" se.pat.ringer.7.inst.11.type="branch" se.pat.ringer.7.inst.11.value="-10"/>
            <LONG_SINGLE_Gb3A4_MAJOR_WARBLE se.pat.ringer.8.name="Highest Trill" se.pat.ringer.8.inst.1.type="chord" se.pat.ringer.8.inst.1.value="40" se.pat.ringer.8.inst.2.type="chord" se.pat.ringer.8.inst.2.value="43" se.pat.ringer.8.inst.3.type="chord" se.pat.ringer.8.inst.3.value="40" se.pat.ringer.8.inst.4.type="chord" se.pat.ringer.8.inst.4.value="43" se.pat.ringer.8.inst.5.type="chord" se.pat.ringer.8.inst.5.value="40" se.pat.ringer.8.inst.6.type="chord" se.pat.ringer.8.inst.6.value="43" se.pat.ringer.8.inst.7.type="chord" se.pat.ringer.8.inst.7.value="40" se.pat.ringer.8.inst.8.type="chord" se.pat.ringer.8.inst.8.value="43" se.pat.ringer.8.inst.9.type="chord" se.pat.ringer.8.inst.9.value="40" se.pat.ringer.8.inst.10.type="chord" se.pat.ringer.8.inst.10.value="43" se.pat.ringer.8.inst.11.type="silence" se.pat.ringer.8.inst.11.value="3000" se.pat.ringer.8.inst.12.type="branch" se.pat.ringer.8.inst.12.value="-11"/>
            <SHORT_DOUBLE_Gb3A4_MAJOR_WARBLE se.pat.ringer.9.name="Highest Double Trill" se.pat.ringer.9.inst.1.type="chord" se.pat.ringer.9.inst.1.value="40" se.pat.ringer.9.inst.2.type="chord" se.pat.ringer.9.inst.2.value="43" se.pat.ringer.9.inst.3.type="chord" se.pat.ringer.9.inst.3.value="40" se.pat.ringer.9.inst.4.type="chord" se.pat.ringer.9.inst.4.value="43" se.pat.ringer.9.inst.5.type="silence" se.pat.ringer.9.inst.5.value="200" se.pat.ringer.9.inst.6.type="chord" se.pat.ringer.9.inst.6.value="40" se.pat.ringer.9.inst.7.type="chord" se.pat.ringer.9.inst.7.value="43" se.pat.ringer.9.inst.8.type="chord" se.pat.ringer.9.inst.8.value="40" se.pat.ringer.9.inst.9.type="chord" se.pat.ringer.9.inst.9.value="43" se.pat.ringer.9.inst.10.type="silence" se.pat.ringer.9.inst.10.value="2000" se.pat.ringer.9.inst.11.type="branch" se.pat.ringer.9.inst.11.value="-10"/>
            <SHORT_DOUBLE_E3_MAJOR se.pat.ringer.10.name="Beeble" se.pat.ringer.10.inst.1.type="chord" se.pat.ringer.10.inst.1.value="38" se.pat.ringer.10.inst.2.type="chord" se.pat.ringer.10.inst.2.value="39" se.pat.ringer.10.inst.3.type="chord" se.pat.ringer.10.inst.3.value="38" se.pat.ringer.10.inst.4.type="chord" se.pat.ringer.10.inst.4.value="38" se.pat.ringer.10.inst.5.type="silence" se.pat.ringer.10.inst.5.value="200" se.pat.ringer.10.inst.6.type="chord" se.pat.ringer.10.inst.6.value="38" se.pat.ringer.10.inst.7.type="chord" se.pat.ringer.10.inst.7.value="39" se.pat.ringer.10.inst.8.type="chord" se.pat.ringer.10.inst.8.value="38" se.pat.ringer.10.inst.9.type="chord" se.pat.ringer.10.inst.9.value="38" se.pat.ringer.10.inst.10.type="silence" se.pat.ringer.10.inst.10.value="2000" se.pat.ringer.10.inst.11.type="branch" se.pat.ringer.10.inst.11.value="-10"/>
            <SHORT_TRIPLE_C3E3G3_MAJOR_RAMP se.pat.ringer.11.name="Triplet" se.pat.ringer.11.inst.1.type="chord" se.pat.ringer.11.inst.1.value="34" se.pat.ringer.11.inst.2.type="chord" se.pat.ringer.11.inst.2.value="38" se.pat.ringer.11.inst.3.type="chord" se.pat.ringer.11.inst.3.value="41" se.pat.ringer.11.inst.4.type="silence" se.pat.ringer.11.inst.4.value="200" se.pat.ringer.11.inst.5.type="chord" se.pat.ringer.11.inst.5.value="34" se.pat.ringer.11.inst.6.type="chord" se.pat.ringer.11.inst.6.value="38" se.pat.ringer.11.inst.7.type="chord" se.pat.ringer.11.inst.7.value="41" se.pat.ringer.11.inst.8.type="silence" se.pat.ringer.11.inst.8.value="200" se.pat.ringer.11.inst.9.type="chord" se.pat.ringer.11.inst.9.value="34" se.pat.ringer.11.inst.10.type="chord" se.pat.ringer.11.inst.10.value="38" se.pat.ringer.11.inst.11.type="chord" se.pat.ringer.11.inst.11.value="41" se.pat.ringer.11.inst.12.type="silence" se.pat.ringer.11.inst.12.value="2700" se.pat.ringer.11.inst.13.type="branch" se.pat.ringer.11.inst.13.value="-12"/>
            <SHORT_DOUBLE_RINGBACK se.pat.ringer.12.name="Ringback-style" se.pat.ringer.12.inst.1.type="silence" se.pat.ringer.12.inst.1.value="100" se.pat.ringer.12.inst.2.type="chord" se.pat.ringer.12.inst.2.value="46" se.pat.ringer.12.inst.3.type="silence" se.pat.ringer.12.inst.3.value="2000" se.pat.ringer.12.inst.4.type="branch" se.pat.ringer.12.inst.4.value="-2"/>
            <SAMPLED_1 se.pat.ringer.13.name="Sampled 1" se.pat.ringer.13.inst.1.type="sampled" se.pat.ringer.13.inst.1.value="2" se.pat.ringer.13.inst.2.type="silence" se.pat.ringer.13.inst.2.value="3000" se.pat.ringer.13.inst.3.type="branch" se.pat.ringer.13.inst.3.value="-2"/>
            <SAMPLED_2 se.pat.ringer.14.name="Sampled 2" se.pat.ringer.14.inst.1.type="sampled" se.pat.ringer.14.inst.1.value="3" se.pat.ringer.14.inst.2.type="silence" se.pat.ringer.14.inst.2.value="3000" se.pat.ringer.14.inst.3.type="branch" se.pat.ringer.14.inst.3.value="-2"/>
            <SAMPLED_3 se.pat.ringer.15.name="Sampled 3" se.pat.ringer.15.inst.1.type="sampled" se.pat.ringer.15.inst.1.value="4" se.pat.ringer.15.inst.2.type="silence" se.pat.ringer.15.inst.2.value="3000" se.pat.ringer.15.inst.3.type="branch" se.pat.ringer.15.inst.3.value="-2"/>
            <SAMPLED_4 se.pat.ringer.16.name="Sampled 4" se.pat.ringer.16.inst.1.type="sampled" se.pat.ringer.16.inst.1.value="5" se.pat.ringer.16.inst.2.type="silence" se.pat.ringer.16.inst.2.value="3000" se.pat.ringer.16.inst.3.type="branch" se.pat.ringer.16.inst.3.value="-2"/>
            <SAMPLED_5 se.pat.ringer.17.name="Sampled 5" se.pat.ringer.17.inst.1.type="sampled" se.pat.ringer.17.inst.1.value="6" se.pat.ringer.17.inst.2.type="silence" se.pat.ringer.17.inst.2.value="3000" se.pat.ringer.17.inst.3.type="branch" se.pat.ringer.17.inst.3.value="-2"/>
            <SAMPLED_6 se.pat.ringer.18.name="Sampled 6" se.pat.ringer.18.inst.1.type="sampled" se.pat.ringer.18.inst.1.value="7" se.pat.ringer.18.inst.2.type="silence" se.pat.ringer.18.inst.2.value="3000" se.pat.ringer.18.inst.3.type="branch" se.pat.ringer.18.inst.3.value="-2"/>
            <SAMPLED_7 se.pat.ringer.19.name="Sampled 7" se.pat.ringer.19.inst.1.type="sampled" se.pat.ringer.19.inst.1.value="8" se.pat.ringer.19.inst.2.type="silence" se.pat.ringer.19.inst.2.value="3000" se.pat.ringer.19.inst.3.type="branch" se.pat.ringer.19.inst.3.value="-2"/>
            <SAMPLED_8 se.pat.ringer.20.name="Sampled 8" se.pat.ringer.20.inst.1.type="sampled" se.pat.ringer.20.inst.1.value="9" se.pat.ringer.20.inst.2.type="silence" se.pat.ringer.20.inst.2.value="3000" se.pat.ringer.20.inst.3.type="branch" se.pat.ringer.20.inst.3.value="-2"/>
            <SAMPLED_9 se.pat.ringer.21.name="Sampled 9" se.pat.ringer.21.inst.1.type="sampled" se.pat.ringer.21.inst.1.value="10" se.pat.ringer.21.inst.2.type="silence" se.pat.ringer.21.inst.2.value="3000" se.pat.ringer.21.inst.3.type="branch" se.pat.ringer.21.inst.3.value="-2"/>
            <SAMPLED_10 se.pat.ringer.22.name="Sampled 10" se.pat.ringer.22.inst.1.type="sampled" se.pat.ringer.22.inst.1.value="11" se.pat.ringer.22.inst.2.type="silence" se.pat.ringer.22.inst.2.value="3000" se.pat.ringer.22.inst.3.type="branch" se.pat.ringer.22.inst.3.value="-2"/>
         </RINGER>
         <MISCELLANEOUS>
	    <MESSAGE_WAITING se.pat.misc.1.name="message waiting" se.pat.misc.1.inst.1.type="silence" se.pat.misc.1.inst.1.value="1"/>
            <INSTANT_MESSAGE se.pat.misc.2.name="instant message" se.pat.misc.2.inst.1.type="chord" se.pat.misc.2.inst.1.value="4" se.pat.misc.2.inst.2.type="chord" se.pat.misc.2.inst.2.value="3" se.pat.misc.2.inst.3.type="chord" se.pat.misc.2.inst.3.value="4"/>
            <REMOTE_HOLD_NOTIFICATION se.pat.misc.3.name="remote hold notification" se.pat.misc.3.inst.1.type="chord" se.pat.misc.3.inst.1.value="5" se.pat.misc.3.inst.2.type="chord" se.pat.misc.3.inst.2.value="4" se.pat.misc.3.inst.3.type="chord" se.pat.misc.3.inst.3.value="1"/>
            <LOCAL_HOLD_NOTIFICATION se.pat.misc.4.name="local hold notification" se.pat.misc.4.inst.1.type="chord" se.pat.misc.4.inst.1.value="3" se.pat.misc.4.inst.2.type="chord" se.pat.misc.4.inst.2.value="4" se.pat.misc.4.inst.3.type="chord" se.pat.misc.4.inst.3.value="6" se.pat.misc.4.inst.4.type="chord" se.pat.misc.4.inst.4.value="4"/>
            <POSITIVE_CONFIRM se.pat.misc.5.name="positive confirmation" se.pat.misc.5.inst.1.type="chord" se.pat.misc.5.inst.1.value="7" se.pat.misc.5.inst.2.type="chord" se.pat.misc.5.inst.2.value="4" se.pat.misc.5.inst.3.type="chord" se.pat.misc.5.inst.3.value="7"/>
            <NEGATIVE_CONFIRM se.pat.misc.6.name="negative confirmation" se.pat.misc.6.inst.1.type="chord" se.pat.misc.6.inst.1.value="7" se.pat.misc.6.inst.2.type="silence" se.pat.misc.6.inst.2.value="100" se.pat.misc.6.inst.3.type="chord" se.pat.misc.6.inst.3.value="6"/>
            <WELCOME se.pat.misc.7.name="welcome" se.pat.misc.7.inst.1.type="sampled" se.pat.misc.7.inst.1.value="1"/>
         </MISCELLANEOUS>
      </patterns>
      <ringType se.rt.enabled="1" se.rt.modification.enabled="1">
         <DEFAULT se.rt.1.name="Default" se.rt.1.type="ring" se.rt.1.ringer="2" se.rt.1.callWait="6" se.rt.1.mod="1"/>
         <VISUAL_ONLY se.rt.2.name="Visual" se.rt.2.type="visual"/>
         <AUTO_ANSWER se.rt.3.name="Auto Answer" se.rt.3.type="answer"/>
         <RING_ANSWER se.rt.4.name="Ring Answer" se.rt.4.type="ring-answer" se.rt.4.timeout="2000" se.rt.4.ringer="2" se.rt.4.callWait="6" se.rt.4.mod="1"/>
         <INTERNAL se.rt.5.name="Internal" se.rt.5.type="ring" se.rt.5.ringer="2" se.rt.5.callWait="6" se.rt.5.mod="1"/>
         <EXTERNAL se.rt.6.name="External" se.rt.6.type="ring" se.rt.6.ringer="2" se.rt.6.callWait="6" se.rt.6.mod="1"/>
         <EMERGENCY se.rt.7.name="Emergency" se.rt.7.type="ring" se.rt.7.ringer="2" se.rt.7.callWait="6" se.rt.7.mod="1"/>
         <CUSTOM_1 se.rt.8.name="Custom 1" se.rt.8.type="ring" se.rt.8.ringer="5" se.rt.8.callWait="7" se.rt.8.mod="1"/>
         <CUSTOM_2 se.rt.9.name="Custom 2" se.rt.9.type="ring" se.rt.9.ringer="7" se.rt.9.callWait="7" se.rt.9.mod="1"/>
         <CUSTOM_3 se.rt.10.name="Custom 3" se.rt.10.type="ring" se.rt.10.ringer="9" se.rt.10.callWait="7" se.rt.10.mod="1"/>
         <CUSTOM_4 se.rt.11.name="Custom 4" se.rt.11.type="ring" se.rt.11.ringer="11" se.rt.11.callWait="7" se.rt.11.mod="1"/>
      </ringType>
   </sound_effects>
   <voice>
      <codecs>
         <preferences voice.codecPref.G711Mu="1" voice.codecPref.G711A="2" voice.codecPref.G729AB="3" voice.codecPref.IP_300.G711Mu="1" voice.codecPref.IP_300.G711A="2" voice.codecPref.IP_300.G729AB="3" voice.codecPref.IP_4000.G711Mu="1" voice.codecPref.IP_4000.G711A="2" voice.codecPref.IP_4000.G729AB="" voice.codecPref.IP_650.G711Mu="2" voice.codecPref.IP_650.G711A="3" voice.codecPref.IP_650.G729AB="4" voice.codecPref.IP_650.G722="1"/>
         <profiles voice.audioProfile.G711Mu.payloadSize="20" voice.audioProfile.G711Mu.jitterBufferMin="40" voice.audioProfile.G711Mu.jitterBufferShrink="500" voice.audioProfile.G711Mu.jitterBufferMax="160" voice.audioProfile.G711A.payloadSize="20" voice.audioProfile.G711A.jitterBufferMin="40" voice.audioProfile.G711A.jitterBufferShrink="500" voice.audioProfile.G711A.jitterBufferMax="160" voice.audioProfile.G729AB.payloadSize="20" voice.audioProfile.G729AB.jitterBufferMin="40" voice.audioProfile.G729AB.jitterBufferShrink="500" voice.audioProfile.G729AB.jitterBufferMax="160" voice.audioProfile.G722.payloadSize="20" voice.audioProfile.G722.jitterBufferMin="40" voice.audioProfile.G722.jitterBufferShrink="500" voice.audioProfile.G722.jitterBufferMax="160" voice.audioProfile.Lin16.payloadSize="10" voice.audioProfile.Lin16.jitterBufferMin="20" voice.audioProfile.Lin16.jitterBufferShrink="500" voice.audioProfile.Lin16.jitterBufferMax="100" voice.audioProfile.Lin16.frequency="16000" voice.audioProfile.Lin16.payloadType="117"/>
      </codecs>
      <volume voice.volume.persist.handset="0" voice.volume.persist.headset="0" voice.volume.persist.handsfree="1"/>
      <gains voice.gain.rx.analog.handset="0" voice.gain.rx.analog.headset="0" voice.gain.rx.analog.chassis="0" voice.gain.rx.analog.chassis.IP_300="-6" voice.gain.rx.analog.chassis.IP_4000="3" voice.gain.rx.analog.chassis.IP_430="0" voice.gain.rx.analog.chassis.IP_650="0" voice.gain.rx.analog.chassis.IP_601="6" voice.gain.rx.analog.ringer="0" voice.gain.rx.analog.ringer.IP_300="-6" voice.gain.rx.analog.ringer.IP_4000="3" voice.gain.rx.analog.ringer.IP_430="0" voice.gain.rx.analog.ringer.IP_650="0" voice.gain.rx.analog.ringer.IP_601="6" voice.gain.rx.digital.handset="-15" voice.gain.rx.digital.headset="-21" voice.gain.rx.digital.chassis="0" voice.gain.rx.digital.chassis.IP_4000="0" voice.gain.rx.digital.chassis.IP_430="0" voice.gain.rx.digital.chassis.IP_650="6" voice.gain.rx.digital.chassis.IP_601="0" voice.gain.rx.digital.ringer="-21" voice.gain.rx.digital.ringer.IP_4000="-21" voice.gain.rx.digital.ringer.IP_430="-21" voice.gain.rx.digital.ringer.IP_650="-12" voice.gain.rx.digital.ringer.IP_601="-21" voice.gain.rx.analog.handset.sidetone="-14" voice.gain.rx.analog.headset.sidetone="-24" voice.gain.tx.analog.handset="12" voice.gain.tx.analog.headset="3" voice.gain.tx.analog.chassis="3" voice.gain.tx.analog.chassis.IP_300="0" voice.gain.tx.analog.chassis.IP_4000="3" voice.gain.tx.analog.chassis.IP_430="42" voice.gain.tx.analog.chassis.IP_650="36" voice.gain.tx.analog.chassis.IP_601="0" voice.gain.tx.digital.handset="0" voice.gain.tx.digital.headset="0" voice.gain.tx.digital.chassis="3" voice.gain.tx.digital.chassis.IP_4000="0" voice.gain.tx.digital.chassis.IP_430="-3" voice.gain.tx.digital.chassis.IP_650="0" voice.gain.tx.digital.chassis.IP_601="6" voice.gain.tx.analog.preamp.handset="14" voice.gain.tx.analog.preamp.headset="23" voice.gain.tx.analog.preamp.chassis="32" voice.gain.tx.analog.preamp.chassis.IP_430="32" voice.gain.tx.analog.preamp.chassis.IP_601="32"/>
      <AEC voice.aec.hs.enable="0" voice.aec.hs.lowFreqCutOff="100" voice.aec.hs.highFreqCutOff="7000" voice.aec.hs.erlTab_0_300="-24" voice.aec.hs.erlTab_300_600="-24" voice.aec.hs.erlTab_600_1500="-24" voice.aec.hs.erlTab_1500_3500="-24" voice.aec.hs.erlTab_3500_7000="-24" voice.aec.hd.enable="0" voice.aec.hd.lowFreqCutOff="100" voice.aec.hd.highFreqCutOff="7000" voice.aec.hd.erlTab_0_300="-24" voice.aec.hd.erlTab_300_600="-24" voice.aec.hd.erlTab_600_1500="-24" voice.aec.hd.erlTab_1500_3500="-24" voice.aec.hd.erlTab_3500_7000="-24" voice.aec.hf.enable="1" voice.aec.hf.lowFreqCutOff="100" voice.aec.hf.highFreqCutOff="7000" voice.aec.hf.erlTab_0_300="-6" voice.aec.hf.erlTab_300_600="-6" voice.aec.hf.erlTab_600_1500="-6" voice.aec.hf.erlTab_1500_3500="-6" voice.aec.hf.erlTab_3500_7000="-6"/>
      <AES voice.aes.hs.enable="0" voice.aes.hs.duplexBalance="7" voice.aes.hd.enable="0" voice.aes.hd.duplexBalance="0" voice.aes.hf.enable="1" voice.aes.hf.duplexBalance.0="9" voice.aes.hf.duplexBalance.1="8" voice.aes.hf.duplexBalance.2="7" voice.aes.hf.duplexBalance.3="6" voice.aes.hf.duplexBalance.4="5" voice.aes.hf.duplexBalance.5="4" voice.aes.hf.duplexBalance.6="3" voice.aes.hf.duplexBalance.7="2" voice.aes.hf.duplexBalance.8="1" voice.aes.hf.duplexBalance.IP_4000.0="10" voice.aes.hf.duplexBalance.IP_4000.1="9" voice.aes.hf.duplexBalance.IP_4000.2="8" voice.aes.hf.duplexBalance.IP_4000.3="7" voice.aes.hf.duplexBalance.IP_4000.4="6" voice.aes.hf.duplexBalance.IP_4000.5="5" voice.aes.hf.duplexBalance.IP_4000.6="4" voice.aes.hf.duplexBalance.IP_4000.7="3" voice.aes.hf.duplexBalance.IP_4000.8="2"/>
      <NS voice.ns.hs.enable="0" voice.ns.hs.signalAttn="-6" voice.ns.hs.silenceAttn="-9" voice.ns.hd.enable="0" voice.ns.hd.signalAttn="0" voice.ns.hd.silenceAttn="0" voice.ns.hf.enable="1" voice.ns.hf.signalAttn="-6" voice.ns.hf.silenceAttn="-9" voice.ns.hf.IP_4000.enable="1" voice.ns.hf.IP_4000.signalAttn="-6" voice.ns.hf.IP_4000.silenceAttn="-9"/>
      <AGC voice.agc.hs.enable="0" voice.agc.hd.enable="0" voice.agc.hf.enable="0"/>
      <RXEQ voice.rxEq.hs.IP_430.preFilter.enable="1" voice.rxEq.hs.IP_650.preFilter.enable="1" voice.rxEq.hs.IP_500.preFilter.enable="1" voice.rxEq.hs.IP_600.preFilter.enable="1" voice.rxEq.hs.IP_601.preFilter.enable="1" voice.rxEq.hs.IP_430.postFilter.enable="0" voice.rxEq.hs.IP_650.postFilter.enable="0" voice.rxEq.hs.IP_500.postFilter.enable="0" voice.rxEq.hs.IP_600.postFilter.enable="0" voice.rxEq.hs.IP_601.postFilter.enable="0" voice.rxEq.hd.IP_430.preFilter.enable="0" voice.rxEq.hd.IP_650.preFilter.enable="1" voice.rxEq.hd.IP_500.preFilter.enable="0" voice.rxEq.hd.IP_600.preFilter.enable="0" voice.rxEq.hd.IP_601.preFilter.enable="0" voice.rxEq.hd.IP_430.postFilter.enable="0" voice.rxEq.hd.IP_650.postFilter.enable="0" voice.rxEq.hd.IP_500.postFilter.enable="0" voice.rxEq.hd.IP_600.postFilter.enable="0" voice.rxEq.hd.IP_601.postFilter.enable="0" voice.rxEq.hf.IP_430.preFilter.enable="1" voice.rxEq.hf.IP_650.preFilter.enable="1" voice.rxEq.hf.IP_500.preFilter.enable="1" voice.rxEq.hf.IP_600.preFilter.enable="1" voice.rxEq.hf.IP_601.preFilter.enable="1" voice.rxEq.hf.IP_4000.preFilter.enable="0" voice.rxEq.hf.IP_430.postFilter.enable="0" voice.rxEq.hf.IP_650.postFilter.enable="0" voice.rxEq.hf.IP_500.postFilter.enable="1" voice.rxEq.hf.IP_600.postFilter.enable="1" voice.rxEq.hf.IP_601.postFilter.enable="1" voice.rxEq.hf.IP_4000.postFilter.enable="0">
         <filters voice.rxEq.hf.IP_500.preFilter.999.size="4" voice.rxEq.hf.IP_500.preFilter.0.shift="-1" voice.rxEq.hf.IP_500.preFilter.0.coef.0="16383" voice.rxEq.hf.IP_500.preFilter.0.coef.1="0" voice.rxEq.hf.IP_500.preFilter.0.coef.2="0" voice.rxEq.hf.IP_500.preFilter.0.coef.3="0"/>
      </RXEQ>
      <TXEQ voice.txEq.hs.IP_430.preFilter.enable="0" voice.txEq.hs.IP_650.preFilter.enable="1" voice.txEq.hs.IP_500.preFilter.enable="0" voice.txEq.hs.IP_600.preFilter.enable="0" voice.txEq.hs.IP_601.preFilter.enable="0" voice.txEq.hs.IP_430.postFilter.enable="1" voice.txEq.hs.IP_650.postFilter.enable="1" voice.txEq.hs.IP_500.postFilter.enable="1" voice.txEq.hs.IP_600.postFilter.enable="1" voice.txEq.hs.IP_601.postFilter.enable="1" voice.txEq.hd.IP_430.preFilter.enable="0" voice.txEq.hd.IP_650.preFilter.enable="1" voice.txEq.hd.IP_500.preFilter.enable="0" voice.txEq.hd.IP_600.preFilter.enable="0" voice.txEq.hd.IP_601.preFilter.enable="0" voice.txEq.hd.IP_430.postFilter.enable="0" voice.txEq.hd.IP_650.postFilter.enable="0" voice.txEq.hd.IP_500.postFilter.enable="0" voice.txEq.hd.IP_600.postFilter.enable="0" voice.txEq.hd.IP_601.postFilter.enable="0" voice.txEq.hf.IP_430.preFilter.enable="0" voice.txEq.hf.IP_650.preFilter.enable="1" voice.txEq.hf.IP_500.preFilter.enable="0" voice.txEq.hf.IP_600.preFilter.enable="0" voice.txEq.hf.IP_601.preFilter.enable="0" voice.txEq.hf.IP_4000.preFilter.enable="0" voice.txEq.hf.IP_430.postFilter.enable="1" voice.txEq.hf.IP_650.postFilter.enable="1" voice.txEq.hf.IP_500.postFilter.enable="1" voice.txEq.hf.IP_600.postFilter.enable="1" voice.txEq.hf.IP_601.postFilter.enable="1" voice.txEq.hf.IP_4000.postFilter.enable="0">
         <filters voice.txEq.hf.IP_500.postFilter.999.size="4" voice.txEq.hf.IP_500.postFilter.0.shift="-1" voice.txEq.hf.IP_500.postFilter.0.coef.0="16383" voice.txEq.hf.IP_500.postFilter.0.coef.1="0" voice.txEq.hf.IP_500.postFilter.0.coef.2="0" voice.txEq.hf.IP_500.postFilter.0.coef.3="0"/>
      </TXEQ>
      <VAD voice.vadEnable="0" voice.vadThresh="15"/>
      <handset voice.handset.rxag.adjust.IP_430="1" voice.handset.rxag.adjust.IP_650="1" voice.handset.txag.adjust.IP_430="24" voice.handset.txag.adjust.IP_650="9" voice.handset.sidetone.adjust.IP_430="-13" voice.handset.sidetone.adjust.IP_650="-3"/>
      <headset voice.headset.rxag.adjust.IP_430="1" voice.headset.rxag.adjust.IP_650="1" voice.headset.txag.adjust.IP_430="39" voice.headset.txag.adjust.IP_650="21" voice.headset.sidetone.adjust.IP_430="-3" voice.headset.sidetone.adjust.IP_650="-3"/>
   </voice>
   <QOS>
      <Ethernet>
         <RTP qos.ethernet.rtp.user_priority="5"/>
         <CallControl qos.ethernet.callControl.user_priority="5"/>
         <Other qos.ethernet.other.user_priority="2"/>
      </Ethernet>
      <IP>
         <RTP qos.ip.rtp.dscp="" qos.ip.rtp.min_delay="1" qos.ip.rtp.max_throughput="1" qos.ip.rtp.max_reliability="0" qos.ip.rtp.min_cost="0" qos.ip.rtp.precedence="5"/>
         <CallControl qos.ip.callControl.dscp="" qos.ip.callControl.min_delay="1" qos.ip.callControl.max_throughput="0" qos.ip.callControl.max_reliability="0" qos.ip.callControl.min_cost="0" qos.ip.callControl.precedence="5"/>
      </IP>
   </QOS>
   <TCP_IP>
      <netMon tcpIpApp.netMon.enabled="1" tcpIpApp.netMon.period="30"/>
      <SNTP tcpIpApp.sntp.resyncPeriod="86400" tcpIpApp.sntp.address="" tcpIpApp.sntp.address.overrideDHCP="0" tcpIpApp.sntp.gmtOffset="" tcpIpApp.sntp.gmtOffset.overrideDHCP="0" tcpIpApp.sntp.daylightSavings.enable="1" tcpIpApp.sntp.daylightSavings.fixedDayEnable="0" tcpIpApp.sntp.daylightSavings.start.month="3" tcpIpApp.sntp.daylightSavings.start.date="8" tcpIpApp.sntp.daylightSavings.start.time="2" tcpIpApp.sntp.daylightSavings.start.dayOfWeek="1" tcpIpApp.sntp.daylightSavings.start.dayOfWeek.lastInMonth="0" tcpIpApp.sntp.daylightSavings.stop.month="11" tcpIpApp.sntp.daylightSavings.stop.date="1" tcpIpApp.sntp.daylightSavings.stop.time="2" tcpIpApp.sntp.daylightSavings.stop.dayOfWeek="1" tcpIpApp.sntp.daylightSavings.stop.dayOfWeek.lastInMonth="0"/>
      <port>
         <RTP tcpIpApp.port.rtp.filterByIp="1" tcpIpApp.port.rtp.filterByPort="0" tcpIpApp.port.rtp.forceSend="" tcpIpApp.port.rtp.mediaPortRangeStart=""/>
      </port>
   </TCP_IP>
   <HTTPD httpd.enabled="1">
      <cfg httpd.cfg.enabled="1" httpd.cfg.port="80"/>
   </HTTPD>
   <call call.rejectBusyOnDnd="1" call.enableOnNotRegistered="1" call.offeringTimeOut="60" call.ringBackTimeOut="60" call.lastCallReturnString="*69" call.callsPerLineKey="" call.stickyAutoLineSeize="" call.stickyAutoLineSeize.onHookDialing="">
      <shared call.shared.disableDivert="1" call.shared.seizeFailReorder="1" call.shared.oneTouchResume="0" call.shared.exposeAutoHolds="0"/>
      <hold>
         <localReminder call.hold.localReminder.enabled="0" call.hold.localReminder.period="60" call.hold.localReminder.startDelay="90"/>
      </hold>
   </call>
   <directory dir.local.volatile.2meg="0" dir.local.nonVolatile.maxSize.2meg="20" dir.local.volatile.4meg="0" dir.local.nonVolatile.maxSize.4meg="50" dir.local.volatile.8meg="0" dir.local.nonVolatile.maxSize.8meg="100" dir.local.volatile.maxSize="100"/>
   <presence pres.reg=""/>
   <font font.delimiter="">
      <IP_400 font.IP_400.1.name=""/>
      <IP_500 font.IP_500.1.name=""/>
      <IP_600 font.IP_600.1.name=""/>
   </font>
   <keys key.scrolling.timeout="1"/>
   <bitmaps>
      <IP_300 bitmap.IP_300.1.name="Blank" bitmap.IP_300.2.name="DndStep1" bitmap.IP_300.3.name="DndStep2" bitmap.IP_300.4.name="MuteStep1" bitmap.IP_300.5.name="MuteStep2" bitmap.IP_300.6.name="Speaker" bitmap.IP_300.7.name="Handset" bitmap.IP_300.8.name="Headset" bitmap.IP_300.9.name="Ringer" bitmap.IP_300.10.name="CtxDnd" bitmap.IP_300.11.name="CtxSpeedDial" bitmap.IP_300.12.name="CtxMail" bitmap.IP_300.13.name="CtxPhone" bitmap.IP_300.14.name="CtxNotReg" bitmap.IP_300.15.name="CtxHoldStep1" bitmap.IP_300.16.name="CtxHoldStep2" bitmap.IP_300.17.name="CtxProceedStep1" bitmap.IP_300.18.name="CtxProceedStep2" bitmap.IP_300.19.name="CtxProceedStep3" bitmap.IP_300.20.name="CtxActiveStep1" bitmap.IP_300.21.name="CtxActiveStep2" bitmap.IP_300.22.name="CtxActiveStep3" bitmap.IP_300.23.name="CtxActiveStep4" bitmap.IP_300.24.name="CtxFwdStep1" bitmap.IP_300.25.name="CtxFwdStep2" bitmap.IP_300.26.name="CtxFwdStep3" bitmap.IP_300.27.name="CtxFwdStep4" bitmap.IP_300.28.name="DiagnosticFrame1" bitmap.IP_300.29.name="DiagnosticFrame2" bitmap.IP_300.30.name="DiagnosticFrame3" bitmap.IP_300.31.name="DiagnosticFrame4" bitmap.IP_300.32.name="DiagnosticFrame5" bitmap.IP_300.33.name="DiagnosticFrame6" bitmap.IP_300.34.name="CtxACDAvailable" bitmap.IP_300.35.name="CtxACDUnavailableStep1" bitmap.IP_300.36.name="CtxACDUnavailableStep2" bitmap.IP_300.37.name="CtxACDLogout" bitmap.IP_300.38.name="CtxActiveSecure"/>
      <IP_400 bitmap.IP_400.1.name="polycom/bmp/ip400"/>
      <IP_500 bitmap.IP_500.1.name="polycom/bmp/ip500" bitmap.IP_500.2.name="BlankSmall" bitmap.IP_500.3.name="BlankBig" bitmap.IP_500.4.name="CtxPhone" bitmap.IP_500.5.name="DndStep1" bitmap.IP_500.6.name="DndStep2" bitmap.IP_500.7.name="MuteStep1" bitmap.IP_500.8.name="MuteStep2" bitmap.IP_500.9.name="Speaker" bitmap.IP_500.10.name="Handset" bitmap.IP_500.11.name="Headset" bitmap.IP_500.12.name="Ringer" bitmap.IP_500.13.name="CtxEmail" bitmap.IP_500.14.name="CtxFwdStep1" bitmap.IP_500.15.name="CtxFwdStep2" bitmap.IP_500.16.name="CtxFwdStep3" bitmap.IP_500.17.name="CtxFwdStep4" bitmap.IP_500.18.name="CtxFwdStep5" bitmap.IP_500.19.name="CtxFwdStep6" bitmap.IP_500.20.name="CtxDndStep1" bitmap.IP_500.21.name="CtxDndStep2" bitmap.IP_500.22.name="CtxNotReg" bitmap.IP_500.23.name="CtxSharedStep1" bitmap.IP_500.24.name="CtxSharedStep2" bitmap.IP_500.25.name="CtxSharedHoldStep1" bitmap.IP_500.26.name="CtxSharedHoldStep2" bitmap.IP_500.27.name="CtxSpeedDial" bitmap.IP_500.28.name="CtxConfStep1" bitmap.IP_500.29.name="CtxConfStep2" bitmap.IP_500.30.name="CtxConfStep3" bitmap.IP_500.31.name="CtxHoldStep1" bitmap.IP_500.32.name="CtxHoldStep2" bitmap.IP_500.33.name="CtxRingStep1" bitmap.IP_500.34.name="CtxRingStep2" bitmap.IP_500.35.name="CtxRingStep3" bitmap.IP_500.36.name="CtxActiveStep1" bitmap.IP_500.37.name="CtxActiveStep2" bitmap.IP_500.38.name="CtxActiveStep3" bitmap.IP_500.39.name="CtxActiveStep4" bitmap.IP_500.40.name="CtxActiveStep5" bitmap.IP_500.41.name="CtxSharedActiveStep1" bitmap.IP_500.42.name="CtxSharedActiveStep2" bitmap.IP_500.43.name="CtxSharedActiveStep3" bitmap.IP_500.44.name="CtxSharedActiveStep4" bitmap.IP_500.45.name="CtxSharedActiveStep5" bitmap.IP_500.46.name="CtxSharedActiveStep6" bitmap.IP_500.47.name="CtxSharedActiveStep7" bitmap.IP_500.48.name="CtxProceedStep1" bitmap.IP_500.49.name="CtxProceedStep2" bitmap.IP_500.50.name="CtxProceedStep3" bitmap.IP_500.51.name="CtxProceedStep4" bitmap.IP_500.52.name="DiagnosticFrame1" bitmap.IP_500.53.name="DiagnosticFrame2" bitmap.IP_500.54.name="DiagnosticFrame3" bitmap.IP_500.55.name="DiagnosticFrame4" bitmap.IP_500.56.name="DiagnosticFrame5" bitmap.IP_500.57.name="DiagnosticFrame6" bitmap.IP_500.58.name="CtxUndefined" bitmap.IP_500.59.name="CtxFeatureEna" bitmap.IP_500.60.name="CtxFeatureDis" bitmap.IP_500.61.name="" bitmap.IP_500.62.name="CtxACDAvailable" bitmap.IP_500.63.name="CtxACDUnavailableStep1" bitmap.IP_500.64.name="CtxACDUnavailableStep2" bitmap.IP_500.65.name="CtxACDLogout" bitmap.IP_500.66.name="CtxActiveSecure"/>
      <IP_600 bitmap.IP_600.1.name="polycom/bmp/ip600" bitmap.IP_600.2.name="BlankSmall" bitmap.IP_600.3.name="BlankBig" bitmap.IP_600.4.name="CtxPhone" bitmap.IP_600.5.name="DndStep1" bitmap.IP_600.6.name="DndStep2" bitmap.IP_600.7.name="MuteStep1" bitmap.IP_600.8.name="MuteStep2" bitmap.IP_600.9.name="Speaker" bitmap.IP_600.10.name="Handset" bitmap.IP_600.11.name="Headset" bitmap.IP_600.12.name="Ringer" bitmap.IP_600.13.name="CtxEmail" bitmap.IP_600.14.name="CtxFwdStep1" bitmap.IP_600.15.name="CtxFwdStep2" bitmap.IP_600.16.name="CtxFwdStep3" bitmap.IP_600.17.name="CtxFwdStep4" bitmap.IP_600.18.name="CtxFwdStep5" bitmap.IP_600.19.name="CtxFwdStep6" bitmap.IP_600.20.name="CtxDndStep1" bitmap.IP_600.21.name="CtxDndStep2" bitmap.IP_600.22.name="CtxNotReg" bitmap.IP_600.23.name="CtxSharedStep1" bitmap.IP_600.24.name="CtxSharedStep2" bitmap.IP_600.25.name="CtxSharedHoldStep1" bitmap.IP_600.26.name="CtxSharedHoldStep2" bitmap.IP_600.27.name="CtxSpeedDial" bitmap.IP_600.28.name="CtxConfStep1" bitmap.IP_600.29.name="CtxConfStep2" bitmap.IP_600.30.name="CtxConfStep3" bitmap.IP_600.31.name="CtxHoldStep1" bitmap.IP_600.32.name="CtxHoldStep2" bitmap.IP_600.33.name="CtxRingStep1" bitmap.IP_600.34.name="CtxRingStep2" bitmap.IP_600.35.name="CtxRingStep3" bitmap.IP_600.36.name="CtxActiveStep1" bitmap.IP_600.37.name="CtxActiveStep2" bitmap.IP_600.38.name="CtxActiveStep3" bitmap.IP_600.39.name="CtxActiveStep4" bitmap.IP_600.40.name="CtxActiveStep5" bitmap.IP_600.41.name="CtxActiveStep6" bitmap.IP_600.42.name="CtxSharedActiveStep1" bitmap.IP_600.43.name="CtxSharedActiveStep2" bitmap.IP_600.44.name="CtxSharedActiveStep3" bitmap.IP_600.45.name="CtxSharedActiveStep4" bitmap.IP_600.46.name="CtxSharedActiveStep5" bitmap.IP_600.47.name="CtxSharedActiveStep6" bitmap.IP_600.48.name="CtxSharedActiveStep7" bitmap.IP_600.49.name="CtxSharedActiveStep8" bitmap.IP_600.50.name="CtxSharedActiveStep9" bitmap.IP_600.51.name="CtxProceedStep1" bitmap.IP_600.52.name="CtxProceedStep2" bitmap.IP_600.53.name="CtxProceedStep3" bitmap.IP_600.54.name="CtxProceedStep4" bitmap.IP_600.55.name="CtxProceedStep5" bitmap.IP_600.56.name="DiagnosticFrame1" bitmap.IP_600.57.name="DiagnosticFrame2" bitmap.IP_600.58.name="DiagnosticFrame3" bitmap.IP_600.59.name="DiagnosticFrame4" bitmap.IP_600.60.name="DiagnosticFrame5" bitmap.IP_600.61.name="DiagnosticFrame6" bitmap.IP_600.62.name="CtxUndefined" bitmap.IP_600.63.name="CtxFeatureEna" bitmap.IP_600.64.name="CtxFeatureDis" bitmap.IP_600.65.name="" bitmap.IP_600.66.name="CtxACDAvailable" bitmap.IP_600.67.name="CtxACDUnavailableStep1" bitmap.IP_600.68.name="CtxACDUnavailableStep2" bitmap.IP_600.69.name="CtxACDLogout" bitmap.IP_600.70.name="CtxActiveSecure" bitmap.IP_600.71.name="CtxActiveHDStep1" bitmap.IP_600.72.name="CtxActiveHDStep2" bitmap.IP_600.73.name="CtxActiveHDStep3" bitmap.IP_600.74.name="CtxActiveHDStep4" bitmap.IP_600.75.name="CtxActiveHDStep5" bitmap.IP_600.76.name="CtxActiveHDStep6" bitmap.IP_600.77.name="CtxActiveHDStep7" bitmap.IP_600.78.name="CtxActiveHDStep8" bitmap.IP_600.79.name="CtxActiveHDStep9" bitmap.IP_600.80.name="CtxActiveHDStep10" bitmap.IP_600.81.name="CtxActiveHDStep11"/>
      <IP_4000 bitmap.IP_4000.1.name="polycom/bmp/ip600" bitmap.IP_4000.2.name="BlankSmall" bitmap.IP_4000.3.name="BlankBig" bitmap.IP_4000.4.name="CtxPhone" bitmap.IP_4000.5.name="DndStep1" bitmap.IP_4000.6.name="DndStep2" bitmap.IP_4000.7.name="MuteStep1" bitmap.IP_4000.8.name="MuteStep2" bitmap.IP_4000.9.name="Speaker" bitmap.IP_4000.10.name="Handset" bitmap.IP_4000.11.name="Headset" bitmap.IP_4000.12.name="Ringer" bitmap.IP_4000.13.name="CtxEmail" bitmap.IP_4000.14.name="CtxFwdStep1" bitmap.IP_4000.15.name="CtxFwdStep2" bitmap.IP_4000.16.name="CtxFwdStep3" bitmap.IP_4000.17.name="CtxFwdStep4" bitmap.IP_4000.18.name="CtxFwdStep5" bitmap.IP_4000.19.name="CtxFwdStep6" bitmap.IP_4000.20.name="CtxDndStep1" bitmap.IP_4000.21.name="CtxDndStep2" bitmap.IP_4000.22.name="CtxNotReg" bitmap.IP_4000.23.name="CtxSharedStep1" bitmap.IP_4000.24.name="CtxSharedStep2" bitmap.IP_4000.25.name="CtxSharedHoldStep1" bitmap.IP_4000.26.name="CtxSharedHoldStep2" bitmap.IP_4000.27.name="CtxSpeedDial" bitmap.IP_4000.28.name="CtxConfStep1" bitmap.IP_4000.29.name="CtxConfStep2" bitmap.IP_4000.30.name="CtxConfStep3" bitmap.IP_4000.31.name="CtxHoldStep1" bitmap.IP_4000.32.name="CtxHoldStep2" bitmap.IP_4000.33.name="CtxRingStep1" bitmap.IP_4000.34.name="CtxRingStep2" bitmap.IP_4000.35.name="CtxRingStep3" bitmap.IP_4000.36.name="CtxActiveStep1" bitmap.IP_4000.37.name="CtxActiveStep2" bitmap.IP_4000.38.name="CtxActiveStep3" bitmap.IP_4000.39.name="CtxActiveStep4" bitmap.IP_4000.40.name="CtxActiveStep5" bitmap.IP_4000.41.name="CtxActiveStep6" bitmap.IP_4000.42.name="CtxSharedActiveStep1" bitmap.IP_4000.43.name="CtxSharedActiveStep2" bitmap.IP_4000.44.name="CtxSharedActiveStep3" bitmap.IP_4000.45.name="CtxSharedActiveStep4" bitmap.IP_4000.46.name="CtxSharedActiveStep5" bitmap.IP_4000.47.name="CtxSharedActiveStep6" bitmap.IP_4000.48.name="CtxSharedActiveStep7" bitmap.IP_4000.49.name="CtxSharedActiveStep8" bitmap.IP_4000.50.name="CtxSharedActiveStep9" bitmap.IP_4000.51.name="CtxProceedStep1" bitmap.IP_4000.52.name="CtxProceedStep2" bitmap.IP_4000.53.name="CtxProceedStep3" bitmap.IP_4000.54.name="CtxProceedStep4" bitmap.IP_4000.55.name="CtxProceedStep5" bitmap.IP_4000.56.name="DiagnosticFrame1" bitmap.IP_4000.57.name="DiagnosticFrame2" bitmap.IP_4000.58.name="DiagnosticFrame3" bitmap.IP_4000.59.name="DiagnosticFrame4" bitmap.IP_4000.60.name="DiagnosticFrame5" bitmap.IP_4000.61.name="DiagnosticFrame6" bitmap.IP_4000.62.name="CtxUndefined" bitmap.IP_4000.63.name="CtxFeatureEna" bitmap.IP_4000.64.name="CtxFeatureDis" bitmap.IP_4000.65.name="" bitmap.IP_4000.66.name="CtxACDAvailable" bitmap.IP_4000.67.name="CtxACDUnavailableStep1" bitmap.IP_4000.68.name="CtxACDUnavailableStep2" bitmap.IP_4000.69.name="CtxACDLogout" bitmap.IP_4000.70.name="CtxActiveSecure"/>
   </bitmaps>
   <indicators ind.idleDisplay.enabled="1">
      <Animations>
         <IP_300>
            <BLANK_BIG ind.anim.IP_300.1.frame.1.bitmap="Blank" ind.anim.IP_300.1.frame.1.duration="0"/>
            <BLANK_SMALL ind.anim.IP_300.2.frame.1.bitmap="Blank" ind.anim.IP_300.2.frame.1.duration="0"/>
            <HANDSET ind.anim.IP_300.3.frame.1.bitmap="Handset" ind.anim.IP_300.3.frame.1.duration="0"/>
            <HEADSET ind.anim.IP_300.4.frame.1.bitmap="Headset" ind.anim.IP_300.4.frame.1.duration="0"/>
            <SPEAKER ind.anim.IP_300.5.frame.1.bitmap="Speaker" ind.anim.IP_300.5.frame.1.duration="0"/>
            <MIC_MUTE ind.anim.IP_300.6.frame.1.bitmap="MuteStep1" ind.anim.IP_300.6.frame.1.duration="500" ind.anim.IP_300.6.frame.2.bitmap="MuteStep2" ind.anim.IP_300.6.frame.2.duration="500"/>
            <DND ind.anim.IP_300.7.frame.1.bitmap="DndStep1" ind.anim.IP_300.7.frame.1.duration="1000" ind.anim.IP_300.7.frame.2.bitmap="DndStep2" ind.anim.IP_300.7.frame.2.duration="1000"/>
            <CTX_MAIL ind.anim.IP_300.8.frame.1.bitmap="CtxMail" ind.anim.IP_300.8.frame.1.duration="0"/>
            <CTX_FWD ind.anim.IP_300.9.frame.1.bitmap="CtxFwdStep1" ind.anim.IP_300.9.frame.1.duration="500" ind.anim.IP_300.9.frame.2.bitmap="CtxFwdStep2" ind.anim.IP_300.9.frame.2.duration="500" ind.anim.IP_300.9.frame.3.bitmap="CtxFwdStep3" ind.anim.IP_300.9.frame.3.duration="500" ind.anim.IP_300.9.frame.4.bitmap="CtxFwdStep4" ind.anim.IP_300.9.frame.4.duration="500"/>
            <CTX_DND ind.anim.IP_300.10.frame.1.bitmap="CtxDnd" ind.anim.IP_300.10.frame.1.duration="1000" ind.anim.IP_300.10.frame.2.bitmap="Blank" ind.anim.IP_300.10.frame.2.duration="1000"/>
            <CTX_NOT_REG ind.anim.IP_300.11.frame.1.bitmap="CtxNotReg" ind.anim.IP_300.11.frame.1.duration="0"/>
            <CTX_PHONE ind.anim.IP_300.12.frame.1.bitmap="CtxPhone" ind.anim.IP_300.12.frame.1.duration="0"/>
            <CTX_SHARED ind.anim.IP_300.13.frame.1.bitmap="CtxPhone" ind.anim.IP_300.13.frame.1.duration="0"/>
            <CTX_SHARED_ACTIVE ind.anim.IP_300.14.frame.1.bitmap="CtxActiveStep1" ind.anim.IP_300.14.frame.1.duration="750" ind.anim.IP_300.14.frame.2.bitmap="CtxActiveStep2" ind.anim.IP_300.14.frame.2.duration="750" ind.anim.IP_300.14.frame.3.bitmap="CtxActiveStep3" ind.anim.IP_300.14.frame.3.duration="750" ind.anim.IP_300.14.frame.4.bitmap="CtxActiveStep4" ind.anim.IP_300.14.frame.4.duration="750"/>
            <CTX_SHARED_HOLD ind.anim.IP_300.15.frame.1.bitmap="CtxHoldStep1" ind.anim.IP_300.15.frame.1.duration="500" ind.anim.IP_300.15.frame.2.bitmap="CtxHoldStep2" ind.anim.IP_300.15.frame.2.duration="500"/>
            <RINGER ind.anim.IP_300.16.frame.1.bitmap="Ringer" ind.anim.IP_300.16.frame.1.duration="0"/>
            <CTX_SPEED_DIAL ind.anim.IP_300.17.frame.1.bitmap="CtxSpeedDial" ind.anim.IP_300.17.frame.1.duration="0"/>
            <CTX_OFFER ind.anim.IP_300.18.frame.1.bitmap="Ringer" ind.anim.IP_300.18.frame.1.duration="250" ind.anim.IP_300.18.frame.2.bitmap="Blank" ind.anim.IP_300.18.frame.2.duration="250" ind.anim.IP_300.18.frame.3.bitmap="Ringer" ind.anim.IP_300.18.frame.3.duration="250" ind.anim.IP_300.18.frame.4.bitmap="Blank" ind.anim.IP_300.18.frame.4.duration="250" ind.anim.IP_300.18.frame.5.bitmap="Ringer" ind.anim.IP_300.18.frame.5.duration="250" ind.anim.IP_300.18.frame.6.bitmap="Blank" ind.anim.IP_300.18.frame.6.duration="1500"/>
            <CTX_HOLD ind.anim.IP_300.19.frame.1.bitmap="CtxHoldStep1" ind.anim.IP_300.19.frame.1.duration="500" ind.anim.IP_300.19.frame.2.bitmap="CtxHoldStep2" ind.anim.IP_300.19.frame.2.duration="500"/>
            <CTX_CONF ind.anim.IP_300.20.frame.1.bitmap="Blank" ind.anim.IP_300.20.frame.1.duration="0"/>
            <CTX_ACTIVE ind.anim.IP_300.21.frame.1.bitmap="CtxActiveStep1" ind.anim.IP_300.21.frame.1.duration="750" ind.anim.IP_300.21.frame.2.bitmap="CtxActiveStep2" ind.anim.IP_300.21.frame.2.duration="750" ind.anim.IP_300.21.frame.3.bitmap="CtxActiveStep3" ind.anim.IP_300.21.frame.3.duration="750" ind.anim.IP_300.21.frame.4.bitmap="CtxActiveStep4" ind.anim.IP_300.21.frame.4.duration="750"/>
            <CTX_PROCEED ind.anim.IP_300.22.frame.1.bitmap="CtxProceedStep1" ind.anim.IP_300.22.frame.1.duration="750" ind.anim.IP_300.22.frame.2.bitmap="CtxProceedStep2" ind.anim.IP_300.22.frame.2.duration="750" ind.anim.IP_300.22.frame.3.bitmap="CtxProceedStep3" ind.anim.IP_300.22.frame.3.duration="750"/>
            <DIAGNOSTICS ind.anim.IP_300.23.frame.1.bitmap="DiagnosticFrame1" ind.anim.IP_300.23.frame.1.duration="3000" ind.anim.IP_300.23.frame.2.bitmap="DiagnosticFrame2" ind.anim.IP_300.23.frame.2.duration="3000" ind.anim.IP_300.23.frame.3.bitmap="DiagnosticFrame3" ind.anim.IP_300.23.frame.3.duration="750" ind.anim.IP_300.23.frame.4.bitmap="DiagnosticFrame4" ind.anim.IP_300.23.frame.4.duration="750" ind.anim.IP_300.23.frame.5.bitmap="DiagnosticFrame5" ind.anim.IP_300.23.frame.5.duration="750" ind.anim.IP_300.23.frame.6.bitmap="DiagnosticFrame6" ind.anim.IP_300.23.frame.6.duration="750"/>
            <CTX_DIALTONE ind.anim.IP_300.24.frame.1.bitmap="Blank" ind.anim.IP_300.24.frame.1.duration="0"/>
            <CTX_HELD ind.anim.IP_300.25.frame.1.bitmap="Blank" ind.anim.IP_300.25.frame.1.duration="0"/>
            <CTX_DISCONNECT ind.anim.IP_300.26.frame.1.bitmap="Blank" ind.anim.IP_300.26.frame.1.duration="0"/>
            <CTX_CUSTOM1 ind.anim.IP_300.27.frame.1.bitmap="Blank" ind.anim.IP_300.27.frame.1.duration="0"/>
            <CTX_CUSTOM2 ind.anim.IP_300.28.frame.1.bitmap="Blank" ind.anim.IP_300.28.frame.1.duration="0"/>
            <CTX_CUSTOM3 ind.anim.IP_300.29.frame.1.bitmap="Blank" ind.anim.IP_300.29.frame.1.duration="0"/>
            <CTX_CUSTOM4 ind.anim.IP_300.30.frame.1.bitmap="Blank" ind.anim.IP_300.30.frame.1.duration="0"/>
            <CTX_CUSTOM5 ind.anim.IP_300.31.frame.1.bitmap="Blank" ind.anim.IP_300.31.frame.1.duration="0"/>
            <CTX_CUSTOM6 ind.anim.IP_300.32.frame.1.bitmap="Blank" ind.anim.IP_300.32.frame.1.duration="0"/>
            <CTX_CUSTOM7 ind.anim.IP_300.33.frame.1.bitmap="Blank" ind.anim.IP_300.33.frame.1.duration="0"/>
            <CTX_CUSTOM8 ind.anim.IP_300.34.frame.1.bitmap="Blank" ind.anim.IP_300.34.frame.1.duration="0"/>
            <CTX_UNASSIGNED ind.anim.IP_300.35.frame.1.bitmap="Blank" ind.anim.IP_300.35.frame.1.duration="0"/>
            <CTX_FEATURE_ENA ind.anim.IP_300.36.frame.1.bitmap="Blank" ind.anim.IP_300.36.frame.1.duration="0"/>
            <CTX_FEATURE_DIS ind.anim.IP_300.37.frame.1.bitmap="Blank" ind.anim.IP_300.37.frame.1.duration="0"/>
            <CTX_LOGIN ind.anim.IP_300.40.frame.1.bitmap="Blank" ind.anim.IP_300.40.frame.1.duration="0"/>
            <CTX_LOGOUT ind.anim.IP_300.41.frame.1.bitmap="CtxACDLogout" ind.anim.IP_300.41.frame.1.duration="0"/>
            <CTX_AGENT_AVAIL ind.anim.IP_300.42.frame.1.bitmap="CtxACDAvailable" ind.anim.IP_300.42.frame.1.duration="0"/>
            <CTX_AGENT_UNAVAIL ind.anim.IP_300.43.frame.1.bitmap="CtxACDUnavailableStep1" ind.anim.IP_300.43.frame.1.duration="1000" ind.anim.IP_300.43.frame.2.bitmap="CtxACDUnavailableStep2" ind.anim.IP_300.43.frame.2.duration="1000"/>
            <CTX_BUDDY_ONLINE ind.anim.IP_300.44.frame.1.bitmap="CtxIconBuddyOnline" ind.anim.IP_300.44.frame.1.duration="0"/>
            <CTX_BUDDY_BUSY ind.anim.IP_300.45.frame.1.bitmap="CtxIconBuddyBusy" ind.anim.IP_300.45.frame.1.duration="0"/>
            <CTX_BUDDY_AWAY ind.anim.IP_300.46.frame.1.bitmap="CtxIconBuddyAway" ind.anim.IP_300.46.frame.1.duration="0"/>
            <CTX_BUDDY_OFFLINE ind.anim.IP_300.47.frame.1.bitmap="CtxIconBuddyOffline" ind.anim.IP_300.47.frame.1.duration="0"/>
            <CTX_ACTIVE_SECURE ind.anim.IP_300.48.frame.1.bitmap="CtxActiveStep1" ind.anim.IP_300.48.frame.1.duration="750" ind.anim.IP_300.48.frame.2.bitmap="CtxActiveStep2" ind.anim.IP_300.48.frame.2.duration="750" ind.anim.IP_300.48.frame.3.bitmap="CtxActiveStep3" ind.anim.IP_300.48.frame.3.duration="750" ind.anim.IP_300.48.frame.4.bitmap="CtxActiveStep4" ind.anim.IP_300.48.frame.4.duration="750" ind.anim.IP_300.48.frame.5.bitmap="CtxActiveSecure" ind.anim.IP_300.48.frame.5.duration="750"/>
            <CTX_CONF_SECURE ind.anim.IP_300.49.frame.1.bitmap="Blank" ind.anim.IP_300.49.frame.1.duration="1000" ind.anim.IP_300.49.frame.2.bitmap="CtxActiveSecure" ind.anim.IP_300.49.frame.2.duration="1000"/>
            <HEADSET_MEM ind.anim.IP_300.50.frame.1.bitmap="Headset" ind.anim.IP_300.50.frame.1.duration="1000" ind.anim.IP_300.50.frame.2.bitmap="Blank" ind.anim.IP_300.50.frame.2.duration="1000"/>
         </IP_300>
         <IP_400>
            <IDLE_DISPLAY ind.anim.IP_400.38.frame.1.bitmap="polycom/bmp/ip400" ind.anim.IP_400.38.frame.1.duration="0"/>
         </IP_400>
         <IP_500>
            <BLANK_BIG ind.anim.IP_500.1.frame.1.bitmap="BlankBig" ind.anim.IP_500.1.frame.1.duration="0"/>
            <BLANK_SMALL ind.anim.IP_500.2.frame.1.bitmap="BlankSmall" ind.anim.IP_500.2.frame.1.duration="0"/>
            <HANDSET ind.anim.IP_500.3.frame.1.bitmap="Handset" ind.anim.IP_500.3.frame.1.duration="0"/>
            <HEADSET ind.anim.IP_500.4.frame.1.bitmap="Headset" ind.anim.IP_500.4.frame.1.duration="0"/>
            <SPEAKER ind.anim.IP_500.5.frame.1.bitmap="Speaker" ind.anim.IP_500.5.frame.1.duration="0"/>
            <MIC_MUTE ind.anim.IP_500.6.frame.1.bitmap="MuteStep1" ind.anim.IP_500.6.frame.1.duration="500" ind.anim.IP_500.6.frame.2.bitmap="MuteStep2" ind.anim.IP_500.6.frame.2.duration="500"/>
            <DND ind.anim.IP_500.7.frame.1.bitmap="DndStep1" ind.anim.IP_500.7.frame.1.duration="1000" ind.anim.IP_500.7.frame.2.bitmap="DndStep2" ind.anim.IP_500.7.frame.2.duration="1000"/>
            <CTX_MAIL ind.anim.IP_500.8.frame.1.bitmap="CtxEmail" ind.anim.IP_500.8.frame.1.duration="0"/>
            <CTX_FWD ind.anim.IP_500.9.frame.1.bitmap="CtxFwdStep1" ind.anim.IP_500.9.frame.1.duration="500" ind.anim.IP_500.9.frame.2.bitmap="CtxFwdStep2" ind.anim.IP_500.9.frame.2.duration="750" ind.anim.IP_500.9.frame.3.bitmap="CtxFwdStep3" ind.anim.IP_500.9.frame.3.duration="750" ind.anim.IP_500.9.frame.4.bitmap="CtxFwdStep4" ind.anim.IP_500.9.frame.4.duration="750" ind.anim.IP_500.9.frame.5.bitmap="CtxFwdStep5" ind.anim.IP_500.9.frame.5.duration="750" ind.anim.IP_500.9.frame.6.bitmap="CtxFwdStep6" ind.anim.IP_500.9.frame.6.duration="750"/>
            <CTX_DND ind.anim.IP_500.10.frame.1.bitmap="CtxDndStep1" ind.anim.IP_500.10.frame.1.duration="1000" ind.anim.IP_500.10.frame.2.bitmap="CtxDndStep2" ind.anim.IP_500.10.frame.2.duration="1000"/>
            <CTX_NOT_REG ind.anim.IP_500.11.frame.1.bitmap="CtxNotReg" ind.anim.IP_500.11.frame.1.duration="0"/>
            <CTX_PHONE ind.anim.IP_500.12.frame.1.bitmap="CtxPhone" ind.anim.IP_500.12.frame.1.duration="0"/>
            <CTX_SHARED ind.anim.IP_500.13.frame.1.bitmap="CtxSharedStep1" ind.anim.IP_500.13.frame.1.duration="0"/>
            <CTX_SHARED_ACTIVE ind.anim.IP_500.14.frame.1.bitmap="CtxSharedActiveStep1" ind.anim.IP_500.14.frame.1.duration="500" ind.anim.IP_500.14.frame.2.bitmap="CtxSharedActiveStep2" ind.anim.IP_500.14.frame.2.duration="500" ind.anim.IP_500.14.frame.3.bitmap="CtxSharedActiveStep3" ind.anim.IP_500.14.frame.3.duration="500" ind.anim.IP_500.14.frame.4.bitmap="CtxSharedActiveStep4" ind.anim.IP_500.14.frame.4.duration="500" ind.anim.IP_500.14.frame.5.bitmap="CtxSharedActiveStep5" ind.anim.IP_500.14.frame.5.duration="500" ind.anim.IP_500.14.frame.6.bitmap="CtxSharedActiveStep6" ind.anim.IP_500.14.frame.6.duration="500" ind.anim.IP_500.14.frame.7.bitmap="CtxSharedActiveStep7" ind.anim.IP_500.14.frame.7.duration="500"/>
            <CTX_SHARED_HOLD ind.anim.IP_500.15.frame.1.bitmap="CtxSharedHoldStep1" ind.anim.IP_500.15.frame.1.duration="500" ind.anim.IP_500.15.frame.2.bitmap="CtxSharedHoldStep2" ind.anim.IP_500.15.frame.2.duration="500"/>
            <RINGER ind.anim.IP_500.16.frame.1.bitmap="Ringer" ind.anim.IP_500.16.frame.1.duration="0"/>
            <CTX_SPEED_DIAL ind.anim.IP_500.17.frame.1.bitmap="CtxSpeedDial" ind.anim.IP_500.17.frame.1.duration="0"/>
            <CTX_OFFER ind.anim.IP_500.18.frame.1.bitmap="CtxRingStep1" ind.anim.IP_500.18.frame.1.duration="500" ind.anim.IP_500.18.frame.2.bitmap="CtxRingStep2" ind.anim.IP_500.18.frame.2.duration="500" ind.anim.IP_500.18.frame.3.bitmap="CtxRingStep3" ind.anim.IP_500.18.frame.3.duration="500"/>
            <CTX_HOLD ind.anim.IP_500.19.frame.1.bitmap="CtxHoldStep1" ind.anim.IP_500.19.frame.1.duration="500" ind.anim.IP_500.19.frame.2.bitmap="CtxHoldStep2" ind.anim.IP_500.19.frame.2.duration="500"/>
            <CTX_CONF ind.anim.IP_500.20.frame.1.bitmap="CtxConfStep1" ind.anim.IP_500.20.frame.1.duration="1000" ind.anim.IP_500.20.frame.2.bitmap="CtxConfStep2" ind.anim.IP_500.20.frame.2.duration="1000" ind.anim.IP_500.20.frame.3.bitmap="CtxConfStep3" ind.anim.IP_500.20.frame.3.duration="1000"/>
            <CTX_ACTIVE ind.anim.IP_500.21.frame.1.bitmap="CtxActiveStep1" ind.anim.IP_500.21.frame.1.duration="750" ind.anim.IP_500.21.frame.2.bitmap="CtxActiveStep2" ind.anim.IP_500.21.frame.2.duration="750" ind.anim.IP_500.21.frame.3.bitmap="CtxActiveStep3" ind.anim.IP_500.21.frame.3.duration="750" ind.anim.IP_500.21.frame.4.bitmap="CtxActiveStep4" ind.anim.IP_500.21.frame.4.duration="750" ind.anim.IP_500.21.frame.5.bitmap="CtxActiveStep5" ind.anim.IP_500.21.frame.5.duration="750"/>
            <CTX_PROCEED ind.anim.IP_500.22.frame.1.bitmap="CtxProceedStep1" ind.anim.IP_500.22.frame.1.duration="750" ind.anim.IP_500.22.frame.2.bitmap="CtxProceedStep2" ind.anim.IP_500.22.frame.2.duration="750" ind.anim.IP_500.22.frame.3.bitmap="CtxProceedStep3" ind.anim.IP_500.22.frame.3.duration="750" ind.anim.IP_500.22.frame.4.bitmap="CtxProceedStep4" ind.anim.IP_500.22.frame.4.duration="750"/>
            <DIAGNOSTICS ind.anim.IP_500.23.frame.1.bitmap="DiagnosticFrame1" ind.anim.IP_500.23.frame.1.duration="3000" ind.anim.IP_500.23.frame.2.bitmap="DiagnosticFrame2" ind.anim.IP_500.23.frame.2.duration="3000" ind.anim.IP_500.23.frame.3.bitmap="DiagnosticFrame3" ind.anim.IP_500.23.frame.3.duration="750" ind.anim.IP_500.23.frame.4.bitmap="DiagnosticFrame4" ind.anim.IP_500.23.frame.4.duration="750" ind.anim.IP_500.23.frame.5.bitmap="DiagnosticFrame5" ind.anim.IP_500.23.frame.5.duration="750" ind.anim.IP_500.23.frame.6.bitmap="DiagnosticFrame6" ind.anim.IP_500.23.frame.6.duration="750"/>
            <CTX_DIALTONE ind.anim.IP_500.24.frame.1.bitmap="CtxUndefined" ind.anim.IP_500.24.frame.1.duration="0"/>
            <CTX_HELD ind.anim.IP_500.25.frame.1.bitmap="CtxUndefined" ind.anim.IP_500.25.frame.1.duration="0"/>
            <CTX_DISCONNECT ind.anim.IP_500.26.frame.1.bitmap="CtxUndefined" ind.anim.IP_500.26.frame.1.duration="0"/>
            <CTX_CUSTOM1 ind.anim.IP_500.27.frame.1.bitmap="CtxUndefined" ind.anim.IP_500.27.frame.1.duration="0"/>
            <CTX_CUSTOM2 ind.anim.IP_500.28.frame.1.bitmap="CtxUndefined" ind.anim.IP_500.28.frame.1.duration="0"/>
            <CTX_CUSTOM3 ind.anim.IP_500.29.frame.1.bitmap="CtxUndefined" ind.anim.IP_500.29.frame.1.duration="0"/>
            <CTX_CUSTOM4 ind.anim.IP_500.30.frame.1.bitmap="CtxUndefined" ind.anim.IP_500.30.frame.1.duration="0"/>
            <CTX_CUSTOM5 ind.anim.IP_500.31.frame.1.bitmap="CtxUndefined" ind.anim.IP_500.31.frame.1.duration="0"/>
            <CTX_CUSTOM6 ind.anim.IP_500.32.frame.1.bitmap="CtxUndefined" ind.anim.IP_500.32.frame.1.duration="0"/>
            <CTX_CUSTOM7 ind.anim.IP_500.33.frame.1.bitmap="CtxUndefined" ind.anim.IP_500.33.frame.1.duration="0"/>
            <CTX_CUSTOM8 ind.anim.IP_500.34.frame.1.bitmap="CtxUndefined" ind.anim.IP_500.34.frame.1.duration="0"/>
            <CTX_UNASSIGNED ind.anim.IP_500.35.frame.1.bitmap="CtxUndefined" ind.anim.IP_500.35.frame.1.duration="0"/>
            <CTX_FEATURE_ENA ind.anim.IP_500.36.frame.1.bitmap="CtxFeatureEna" ind.anim.IP_500.36.frame.1.duration="0"/>
            <CTX_FEATURE_DIS ind.anim.IP_500.37.frame.1.bitmap="CtxFeatureDis" ind.anim.IP_500.37.frame.1.duration="0"/>
            <IDLE_DISPLAY ind.anim.IP_500.38.frame.1.bitmap="polycom/bmp/ip500" ind.anim.IP_500.38.frame.1.duration="0"/>
            <IDLE_DISPLAY_WIDE ind.anim.IP_500.39.frame.1.bitmap="polycom/bmp/ip500" ind.anim.IP_500.39.frame.1.duration="0"/>
            <CTX_LOGIN ind.anim.IP_500.40.frame.1.bitmap="CtxUndefined" ind.anim.IP_500.40.frame.1.duration="0"/>
            <CTX_LOGOUT ind.anim.IP_500.41.frame.1.bitmap="CtxACDLogout" ind.anim.IP_500.41.frame.1.duration="0"/>
            <CTX_AGENT_AVAIL ind.anim.IP_500.42.frame.1.bitmap="CtxACDAvailable" ind.anim.IP_500.42.frame.1.duration="0"/>
            <CTX_AGENT_UNAVAIL ind.anim.IP_500.43.frame.1.bitmap="CtxACDUnavailableStep1" ind.anim.IP_500.43.frame.1.duration="1000" ind.anim.IP_500.43.frame.2.bitmap="CtxACDUnavailableStep2" ind.anim.IP_500.43.frame.2.duration="1000"/>
            <CTX_BUDDY_ONLINE ind.anim.IP_500.44.frame.1.bitmap="CtxIconBuddyOnline" ind.anim.IP_500.44.frame.1.duration="0"/>
            <CTX_BUDDY_BUSY ind.anim.IP_500.45.frame.1.bitmap="CtxIconBuddyBusy" ind.anim.IP_500.45.frame.1.duration="0"/>
            <CTX_BUDDY_AWAY ind.anim.IP_500.46.frame.1.bitmap="CtxIconBuddyAway" ind.anim.IP_500.46.frame.1.duration="0"/>
            <CTX_BUDDY_OFFLINE ind.anim.IP_500.47.frame.1.bitmap="CtxIconBuddyOffline" ind.anim.IP_500.47.frame.1.duration="0"/>
            <CTX_ACTIVE_SECURE ind.anim.IP_500.48.frame.1.bitmap="CtxActiveStep1" ind.anim.IP_500.48.frame.1.duration="750" ind.anim.IP_500.48.frame.2.bitmap="CtxActiveStep2" ind.anim.IP_500.48.frame.2.duration="750" ind.anim.IP_500.48.frame.3.bitmap="CtxActiveStep3" ind.anim.IP_500.48.frame.3.duration="750" ind.anim.IP_500.48.frame.4.bitmap="CtxActiveStep4" ind.anim.IP_500.48.frame.4.duration="750" ind.anim.IP_500.48.frame.5.bitmap="CtxActiveStep5" ind.anim.IP_500.48.frame.5.duration="750" ind.anim.IP_500.48.frame.6.bitmap="CtxActiveSecure" ind.anim.IP_500.48.frame.6.duration="750"/>
            <CTX_CONF_SECURE ind.anim.IP_500.49.frame.1.bitmap="CtxConfStep1" ind.anim.IP_500.49.frame.1.duration="1000" ind.anim.IP_500.49.frame.2.bitmap="CtxConfStep2" ind.anim.IP_500.49.frame.2.duration="1000" ind.anim.IP_500.49.frame.3.bitmap="CtxConfStep3" ind.anim.IP_500.49.frame.3.duration="1000" ind.anim.IP_500.49.frame.4.bitmap="CtxActiveSecure" ind.anim.IP_500.49.frame.4.duration="1000"/>
            <HEADSET_MEM ind.anim.IP_500.50.frame.1.bitmap="Headset" ind.anim.IP_500.50.frame.1.duration="1000" ind.anim.IP_500.50.frame.2.bitmap="BlankBig" ind.anim.IP_500.50.frame.2.duration="1000"/>
         </IP_500>
         <IP_600>
            <BLANK_BIG ind.anim.IP_600.1.frame.1.bitmap="BlankBig" ind.anim.IP_600.1.frame.1.duration="0"/>
            <BLANK_SMALL ind.anim.IP_600.2.frame.1.bitmap="BlankSmall" ind.anim.IP_600.2.frame.1.duration="0"/>
            <HANDSET ind.anim.IP_600.3.frame.1.bitmap="Handset" ind.anim.IP_600.3.frame.1.duration="0"/>
            <HEADSET ind.anim.IP_600.4.frame.1.bitmap="Headset" ind.anim.IP_600.4.frame.1.duration="0"/>
            <SPEAKER ind.anim.IP_600.5.frame.1.bitmap="Speaker" ind.anim.IP_600.5.frame.1.duration="0"/>
            <MIC_MUTE ind.anim.IP_600.6.frame.1.bitmap="MuteStep1" ind.anim.IP_600.6.frame.1.duration="500" ind.anim.IP_600.6.frame.2.bitmap="MuteStep2" ind.anim.IP_600.6.frame.2.duration="500"/>
            <DND ind.anim.IP_600.7.frame.1.bitmap="DndStep1" ind.anim.IP_600.7.frame.1.duration="1000" ind.anim.IP_600.7.frame.2.bitmap="DndStep2" ind.anim.IP_600.7.frame.2.duration="1000"/>
            <CTX_MAIL ind.anim.IP_600.8.frame.1.bitmap="CtxEmail" ind.anim.IP_600.8.frame.1.duration="0"/>
            <CTX_FWD ind.anim.IP_600.9.frame.1.bitmap="CtxFwdStep1" ind.anim.IP_600.9.frame.1.duration="500" ind.anim.IP_600.9.frame.2.bitmap="CtxFwdStep2" ind.anim.IP_600.9.frame.2.duration="750" ind.anim.IP_600.9.frame.3.bitmap="CtxFwdStep3" ind.anim.IP_600.9.frame.3.duration="750" ind.anim.IP_600.9.frame.4.bitmap="CtxFwdStep4" ind.anim.IP_600.9.frame.4.duration="750" ind.anim.IP_600.9.frame.5.bitmap="CtxFwdStep5" ind.anim.IP_600.9.frame.5.duration="750" ind.anim.IP_600.9.frame.6.bitmap="CtxFwdStep6" ind.anim.IP_600.9.frame.6.duration="750"/>
            <CTX_DND ind.anim.IP_600.10.frame.1.bitmap="CtxDndStep1" ind.anim.IP_600.10.frame.1.duration="1000" ind.anim.IP_600.10.frame.2.bitmap="CtxDndStep2" ind.anim.IP_600.10.frame.2.duration="1000"/>
            <CTX_NOT_REG ind.anim.IP_600.11.frame.1.bitmap="CtxNotReg" ind.anim.IP_600.11.frame.1.duration="0"/>
            <CTX_PHONE ind.anim.IP_600.12.frame.1.bitmap="CtxPhone" ind.anim.IP_600.12.frame.1.duration="0"/>
            <CTX_SHARED ind.anim.IP_600.13.frame.1.bitmap="CtxSharedStep1" ind.anim.IP_600.13.frame.1.duration="0"/>
            <CTX_SHARED_ACTIVE ind.anim.IP_600.14.frame.1.bitmap="CtxSharedActiveStep1" ind.anim.IP_600.14.frame.1.duration="400" ind.anim.IP_600.14.frame.2.bitmap="CtxSharedActiveStep2" ind.anim.IP_600.14.frame.2.duration="400" ind.anim.IP_600.14.frame.3.bitmap="CtxSharedActiveStep3" ind.anim.IP_600.14.frame.3.duration="400" ind.anim.IP_600.14.frame.4.bitmap="CtxSharedActiveStep4" ind.anim.IP_600.14.frame.4.duration="400" ind.anim.IP_600.14.frame.5.bitmap="CtxSharedActiveStep5" ind.anim.IP_600.14.frame.5.duration="400" ind.anim.IP_600.14.frame.6.bitmap="CtxSharedActiveStep6" ind.anim.IP_600.14.frame.6.duration="400" ind.anim.IP_600.14.frame.7.bitmap="CtxSharedActiveStep7" ind.anim.IP_600.14.frame.7.duration="400" ind.anim.IP_600.14.frame.8.bitmap="CtxSharedActiveStep8" ind.anim.IP_600.14.frame.8.duration="400" ind.anim.IP_600.14.frame.9.bitmap="CtxSharedActiveStep9" ind.anim.IP_600.14.frame.9.duration="400"/>
            <CTX_SHARED_HOLD ind.anim.IP_600.15.frame.1.bitmap="CtxSharedHoldStep1" ind.anim.IP_600.15.frame.1.duration="500" ind.anim.IP_600.15.frame.2.bitmap="CtxSharedHoldStep2" ind.anim.IP_600.15.frame.2.duration="500"/>
            <RINGER ind.anim.IP_600.16.frame.1.bitmap="Ringer" ind.anim.IP_600.16.frame.1.duration="0"/>
            <CTX_SPEED_DIAL ind.anim.IP_600.17.frame.1.bitmap="CtxSpeedDial" ind.anim.IP_600.17.frame.1.duration="0"/>
            <CTX_OFFER ind.anim.IP_600.18.frame.1.bitmap="CtxRingStep1" ind.anim.IP_600.18.frame.1.duration="500" ind.anim.IP_600.18.frame.2.bitmap="CtxRingStep2" ind.anim.IP_600.18.frame.2.duration="500" ind.anim.IP_600.18.frame.3.bitmap="CtxRingStep3" ind.anim.IP_600.18.frame.3.duration="500"/>
            <CTX_HOLD ind.anim.IP_600.19.frame.1.bitmap="CtxHoldStep1" ind.anim.IP_600.19.frame.1.duration="500" ind.anim.IP_600.19.frame.2.bitmap="CtxHoldStep2" ind.anim.IP_600.19.frame.2.duration="500"/>
            <CTX_CONF ind.anim.IP_600.20.frame.1.bitmap="CtxConfStep1" ind.anim.IP_600.20.frame.1.duration="1000" ind.anim.IP_600.20.frame.2.bitmap="CtxConfStep2" ind.anim.IP_600.20.frame.2.duration="1000" ind.anim.IP_600.20.frame.3.bitmap="CtxConfStep3" ind.anim.IP_600.20.frame.3.duration="1000"/>
            <CTX_ACTIVE ind.anim.IP_600.21.frame.1.bitmap="CtxActiveStep1" ind.anim.IP_600.21.frame.1.duration="750" ind.anim.IP_600.21.frame.2.bitmap="CtxActiveStep2" ind.anim.IP_600.21.frame.2.duration="750" ind.anim.IP_600.21.frame.3.bitmap="CtxActiveStep3" ind.anim.IP_600.21.frame.3.duration="750" ind.anim.IP_600.21.frame.4.bitmap="CtxActiveStep4" ind.anim.IP_600.21.frame.4.duration="750" ind.anim.IP_600.21.frame.5.bitmap="CtxActiveStep5" ind.anim.IP_600.21.frame.5.duration="750" ind.anim.IP_600.21.frame.6.bitmap="CtxActiveStep6" ind.anim.IP_600.21.frame.6.duration="750"/>
            <CTX_PROCEED ind.anim.IP_600.22.frame.1.bitmap="CtxProceedStep1" ind.anim.IP_600.22.frame.1.duration="750" ind.anim.IP_600.22.frame.2.bitmap="CtxProceedStep2" ind.anim.IP_600.22.frame.2.duration="750" ind.anim.IP_600.22.frame.3.bitmap="CtxProceedStep3" ind.anim.IP_600.22.frame.3.duration="750" ind.anim.IP_600.22.frame.4.bitmap="CtxProceedStep4" ind.anim.IP_600.22.frame.4.duration="750" ind.anim.IP_600.22.frame.5.bitmap="CtxProceedStep5" ind.anim.IP_600.22.frame.5.duration="750"/>
            <DIAGNOSTICS ind.anim.IP_600.23.frame.1.bitmap="DiagnosticFrame1" ind.anim.IP_600.23.frame.1.duration="3000" ind.anim.IP_600.23.frame.2.bitmap="DiagnosticFrame2" ind.anim.IP_600.23.frame.2.duration="3000" ind.anim.IP_600.23.frame.3.bitmap="DiagnosticFrame3" ind.anim.IP_600.23.frame.3.duration="750" ind.anim.IP_600.23.frame.4.bitmap="DiagnosticFrame4" ind.anim.IP_600.23.frame.4.duration="750" ind.anim.IP_600.23.frame.5.bitmap="DiagnosticFrame5" ind.anim.IP_600.23.frame.5.duration="750" ind.anim.IP_600.23.frame.6.bitmap="DiagnosticFrame6" ind.anim.IP_600.23.frame.6.duration="750"/>
            <CTX_DIALTONE ind.anim.IP_600.24.frame.1.bitmap="CtxUndefined" ind.anim.IP_600.24.frame.1.duration="0"/>
            <CTX_HELD ind.anim.IP_600.25.frame.1.bitmap="CtxUndefined" ind.anim.IP_600.25.frame.1.duration="0"/>
            <CTX_DISCONNECT ind.anim.IP_600.26.frame.1.bitmap="CtxUndefined" ind.anim.IP_600.26.frame.1.duration="0"/>
            <CTX_CUSTOM1 ind.anim.IP_600.27.frame.1.bitmap="CtxUndefined" ind.anim.IP_600.27.frame.1.duration="0"/>
            <CTX_CUSTOM2 ind.anim.IP_600.28.frame.1.bitmap="CtxUndefined" ind.anim.IP_600.28.frame.1.duration="0"/>
            <CTX_CUSTOM3 ind.anim.IP_600.29.frame.1.bitmap="CtxUndefined" ind.anim.IP_600.29.frame.1.duration="0"/>
            <CTX_CUSTOM4 ind.anim.IP_600.30.frame.1.bitmap="CtxUndefined" ind.anim.IP_600.30.frame.1.duration="0"/>
            <CTX_CUSTOM5 ind.anim.IP_600.31.frame.1.bitmap="CtxUndefined" ind.anim.IP_600.31.frame.1.duration="0"/>
            <CTX_CUSTOM6 ind.anim.IP_600.32.frame.1.bitmap="CtxUndefined" ind.anim.IP_600.32.frame.1.duration="0"/>
            <CTX_CUSTOM7 ind.anim.IP_600.33.frame.1.bitmap="CtxUndefined" ind.anim.IP_600.33.frame.1.duration="0"/>
            <CTX_CUSTOM8 ind.anim.IP_600.34.frame.1.bitmap="CtxUndefined" ind.anim.IP_600.34.frame.1.duration="0"/>
            <CTX_UNASSIGNED ind.anim.IP_600.35.frame.1.bitmap="CtxUndefined" ind.anim.IP_600.35.frame.1.duration="0"/>
            <CTX_FEATURE_ENA ind.anim.IP_600.36.frame.1.bitmap="CtxFeatureEna" ind.anim.IP_600.36.frame.1.duration="0"/>
            <CTX_FEATURE_DIS ind.anim.IP_600.37.frame.1.bitmap="CtxFeatureDis" ind.anim.IP_600.37.frame.1.duration="0"/>
            <IDLE_DISPLAY ind.anim.IP_600.38.frame.1.bitmap="polycom/bmp/ip600" ind.anim.IP_600.38.frame.1.duration="0"/>
            <IDLE_DISPLAY_WIDE ind.anim.IP_600.39.frame.1.bitmap="polycom/bmp/ip600" ind.anim.IP_600.39.frame.1.duration="0"/>
            <CTX_LOGIN ind.anim.IP_600.40.frame.1.bitmap="CtxUndefined" ind.anim.IP_600.40.frame.1.duration="0"/>
            <CTX_LOGOUT ind.anim.IP_600.41.frame.1.bitmap="CtxACDLogout" ind.anim.IP_600.41.frame.1.duration="0"/>
            <CTX_AGENT_AVAIL ind.anim.IP_600.42.frame.1.bitmap="CtxACDAvailable" ind.anim.IP_600.42.frame.1.duration="0"/>
            <CTX_AGENT_UNAVAIL ind.anim.IP_600.43.frame.1.bitmap="CtxACDUnavailableStep1" ind.anim.IP_600.43.frame.1.duration="1000" ind.anim.IP_600.43.frame.2.bitmap="CtxACDUnavailableStep2" ind.anim.IP_600.43.frame.2.duration="1000"/>
            <CTX_BUDDY_ONLINE ind.anim.IP_600.44.frame.1.bitmap="CtxIconBuddyOnline" ind.anim.IP_600.44.frame.1.duration="0"/>
            <CTX_BUDDY_BUSY ind.anim.IP_600.45.frame.1.bitmap="CtxIconBuddyBusy" ind.anim.IP_600.45.frame.1.duration="0"/>
            <CTX_BUDDY_AWAY ind.anim.IP_600.46.frame.1.bitmap="CtxIconBuddyAway" ind.anim.IP_600.46.frame.1.duration="0"/>
            <CTX_BUDDY_OFFLINE ind.anim.IP_600.47.frame.1.bitmap="CtxIconBuddyOffline" ind.anim.IP_600.47.frame.1.duration="0"/>
            <CTX_ACTIVE_SECURE ind.anim.IP_600.48.frame.1.bitmap="CtxActiveStep1" ind.anim.IP_600.48.frame.1.duration="750" ind.anim.IP_600.48.frame.2.bitmap="CtxActiveStep2" ind.anim.IP_600.48.frame.2.duration="750" ind.anim.IP_600.48.frame.3.bitmap="CtxActiveStep3" ind.anim.IP_600.48.frame.3.duration="750" ind.anim.IP_600.48.frame.4.bitmap="CtxActiveStep4" ind.anim.IP_600.48.frame.4.duration="750" ind.anim.IP_600.48.frame.5.bitmap="CtxActiveStep5" ind.anim.IP_600.48.frame.5.duration="750" ind.anim.IP_600.48.frame.6.bitmap="CtxActiveSecure" ind.anim.IP_600.48.frame.6.duration="750"/>
            <CTX_CONF_SECURE ind.anim.IP_600.49.frame.1.bitmap="CtxConfStep1" ind.anim.IP_600.49.frame.1.duration="1000" ind.anim.IP_600.49.frame.2.bitmap="CtxConfStep2" ind.anim.IP_600.49.frame.2.duration="1000" ind.anim.IP_600.49.frame.3.bitmap="CtxConfStep3" ind.anim.IP_600.49.frame.3.duration="1000" ind.anim.IP_600.49.frame.4.bitmap="CtxActiveSecure" ind.anim.IP_600.49.frame.4.duration="1000"/>
            <CTX_ACTIVE_HD ind.anim.IP_600.50.frame.1.bitmap="CtxActiveHDStep1" ind.anim.IP_600.50.frame.1.duration="300" ind.anim.IP_600.50.frame.2.bitmap="CtxActiveHDStep2" ind.anim.IP_600.50.frame.2.duration="300" ind.anim.IP_600.50.frame.3.bitmap="CtxActiveHDStep3" ind.anim.IP_600.50.frame.3.duration="300" ind.anim.IP_600.50.frame.4.bitmap="CtxActiveHDStep4" ind.anim.IP_600.50.frame.4.duration="300" ind.anim.IP_600.50.frame.5.bitmap="CtxActiveHDStep5" ind.anim.IP_600.50.frame.5.duration="300" ind.anim.IP_600.50.frame.6.bitmap="CtxActiveHDStep6" ind.anim.IP_600.50.frame.6.duration="300" ind.anim.IP_600.50.frame.7.bitmap="CtxActiveHDStep7" ind.anim.IP_600.50.frame.7.duration="300" ind.anim.IP_600.50.frame.8.bitmap="CtxActiveHDStep8" ind.anim.IP_600.50.frame.8.duration="300" ind.anim.IP_600.50.frame.9.bitmap="CtxActiveHDStep9" ind.anim.IP_600.50.frame.9.duration="300" ind.anim.IP_600.50.frame.10.bitmap="CtxActiveHDStep10" ind.anim.IP_600.50.frame.10.duration="300" ind.anim.IP_600.50.frame.11.bitmap="CtxActiveHDStep11" ind.anim.IP_600.50.frame.11.duration="2000"/>
         </IP_600>
         <IP_4000>
            <BLANK_BIG ind.anim.IP_4000.1.frame.1.bitmap="BlankBig" ind.anim.IP_4000.1.frame.1.duration="0"/>
            <BLANK_SMALL ind.anim.IP_4000.2.frame.1.bitmap="BlankSmall" ind.anim.IP_4000.2.frame.1.duration="0"/>
            <HANDSET ind.anim.IP_4000.3.frame.1.bitmap="Handset" ind.anim.IP_4000.3.frame.1.duration="0"/>
            <HEADSET ind.anim.IP_4000.4.frame.1.bitmap="Headset" ind.anim.IP_4000.4.frame.1.duration="0"/>
            <SPEAKER ind.anim.IP_4000.5.frame.1.bitmap="Speaker" ind.anim.IP_4000.5.frame.1.duration="0"/>
            <MIC_MUTE ind.anim.IP_4000.6.frame.1.bitmap="MuteStep1" ind.anim.IP_4000.6.frame.1.duration="500" ind.anim.IP_4000.6.frame.2.bitmap="MuteStep2" ind.anim.IP_4000.6.frame.2.duration="500"/>
            <DND ind.anim.IP_4000.7.frame.1.bitmap="DndStep1" ind.anim.IP_4000.7.frame.1.duration="1000" ind.anim.IP_4000.7.frame.2.bitmap="DndStep2" ind.anim.IP_4000.7.frame.2.duration="1000"/>
            <CTX_MAIL ind.anim.IP_4000.8.frame.1.bitmap="CtxEmail" ind.anim.IP_4000.8.frame.1.duration="0"/>
            <CTX_FWD ind.anim.IP_4000.9.frame.1.bitmap="CtxFwdStep1" ind.anim.IP_4000.9.frame.1.duration="500" ind.anim.IP_4000.9.frame.2.bitmap="CtxFwdStep2" ind.anim.IP_4000.9.frame.2.duration="750" ind.anim.IP_4000.9.frame.3.bitmap="CtxFwdStep3" ind.anim.IP_4000.9.frame.3.duration="750" ind.anim.IP_4000.9.frame.4.bitmap="CtxFwdStep4" ind.anim.IP_4000.9.frame.4.duration="750" ind.anim.IP_4000.9.frame.5.bitmap="CtxFwdStep5" ind.anim.IP_4000.9.frame.5.duration="750" ind.anim.IP_4000.9.frame.6.bitmap="CtxFwdStep6" ind.anim.IP_4000.9.frame.6.duration="750"/>
            <CTX_DND ind.anim.IP_4000.10.frame.1.bitmap="CtxDndStep1" ind.anim.IP_4000.10.frame.1.duration="1000" ind.anim.IP_4000.10.frame.2.bitmap="CtxDndStep2" ind.anim.IP_4000.10.frame.2.duration="1000"/>
            <CTX_NOT_REG ind.anim.IP_4000.11.frame.1.bitmap="CtxNotReg" ind.anim.IP_4000.11.frame.1.duration="0"/>
            <CTX_PHONE ind.anim.IP_4000.12.frame.1.bitmap="CtxPhone" ind.anim.IP_4000.12.frame.1.duration="0"/>
            <CTX_SHARED ind.anim.IP_4000.13.frame.1.bitmap="CtxSharedStep1" ind.anim.IP_4000.13.frame.1.duration="0"/>
            <CTX_SHARED_ACTIVE ind.anim.IP_4000.14.frame.1.bitmap="CtxSharedActiveStep1" ind.anim.IP_4000.14.frame.1.duration="400" ind.anim.IP_4000.14.frame.2.bitmap="CtxSharedActiveStep2" ind.anim.IP_4000.14.frame.2.duration="400" ind.anim.IP_4000.14.frame.3.bitmap="CtxSharedActiveStep3" ind.anim.IP_4000.14.frame.3.duration="400" ind.anim.IP_4000.14.frame.4.bitmap="CtxSharedActiveStep4" ind.anim.IP_4000.14.frame.4.duration="400" ind.anim.IP_4000.14.frame.5.bitmap="CtxSharedActiveStep5" ind.anim.IP_4000.14.frame.5.duration="400" ind.anim.IP_4000.14.frame.6.bitmap="CtxSharedActiveStep6" ind.anim.IP_4000.14.frame.6.duration="400" ind.anim.IP_4000.14.frame.7.bitmap="CtxSharedActiveStep7" ind.anim.IP_4000.14.frame.7.duration="400" ind.anim.IP_4000.14.frame.8.bitmap="CtxSharedActiveStep8" ind.anim.IP_4000.14.frame.8.duration="400" ind.anim.IP_4000.14.frame.9.bitmap="CtxSharedActiveStep9" ind.anim.IP_4000.14.frame.9.duration="400"/>
            <CTX_SHARED_HOLD ind.anim.IP_4000.15.frame.1.bitmap="CtxSharedHoldStep1" ind.anim.IP_4000.15.frame.1.duration="500" ind.anim.IP_4000.15.frame.2.bitmap="CtxSharedHoldStep2" ind.anim.IP_4000.15.frame.2.duration="500"/>
            <RINGER ind.anim.IP_4000.16.frame.1.bitmap="Ringer" ind.anim.IP_4000.16.frame.1.duration="0"/>
            <CTX_SPEED_DIAL ind.anim.IP_4000.17.frame.1.bitmap="CtxSpeedDial" ind.anim.IP_4000.17.frame.1.duration="0"/>
            <CTX_OFFER ind.anim.IP_4000.18.frame.1.bitmap="CtxRingStep1" ind.anim.IP_4000.18.frame.1.duration="500" ind.anim.IP_4000.18.frame.2.bitmap="CtxRingStep2" ind.anim.IP_4000.18.frame.2.duration="500" ind.anim.IP_4000.18.frame.3.bitmap="CtxRingStep3" ind.anim.IP_4000.18.frame.3.duration="500"/>
            <CTX_HOLD ind.anim.IP_4000.19.frame.1.bitmap="CtxHoldStep1" ind.anim.IP_4000.19.frame.1.duration="500" ind.anim.IP_4000.19.frame.2.bitmap="CtxHoldStep2" ind.anim.IP_4000.19.frame.2.duration="500"/>
            <CTX_CONF ind.anim.IP_4000.20.frame.1.bitmap="CtxConfStep1" ind.anim.IP_4000.20.frame.1.duration="1000" ind.anim.IP_4000.20.frame.2.bitmap="CtxConfStep2" ind.anim.IP_4000.20.frame.2.duration="1000" ind.anim.IP_4000.20.frame.3.bitmap="CtxConfStep3" ind.anim.IP_4000.20.frame.3.duration="1000"/>
            <CTX_ACTIVE ind.anim.IP_4000.21.frame.1.bitmap="CtxActiveStep1" ind.anim.IP_4000.21.frame.1.duration="750" ind.anim.IP_4000.21.frame.2.bitmap="CtxActiveStep2" ind.anim.IP_4000.21.frame.2.duration="750" ind.anim.IP_4000.21.frame.3.bitmap="CtxActiveStep3" ind.anim.IP_4000.21.frame.3.duration="750" ind.anim.IP_4000.21.frame.4.bitmap="CtxActiveStep4" ind.anim.IP_4000.21.frame.4.duration="750" ind.anim.IP_4000.21.frame.5.bitmap="CtxActiveStep5" ind.anim.IP_4000.21.frame.5.duration="750" ind.anim.IP_4000.21.frame.6.bitmap="CtxActiveStep6" ind.anim.IP_4000.21.frame.6.duration="750"/>
            <CTX_PROCEED ind.anim.IP_4000.22.frame.1.bitmap="CtxProceedStep1" ind.anim.IP_4000.22.frame.1.duration="750" ind.anim.IP_4000.22.frame.2.bitmap="CtxProceedStep2" ind.anim.IP_4000.22.frame.2.duration="750" ind.anim.IP_4000.22.frame.3.bitmap="CtxProceedStep3" ind.anim.IP_4000.22.frame.3.duration="750" ind.anim.IP_4000.22.frame.4.bitmap="CtxProceedStep4" ind.anim.IP_4000.22.frame.4.duration="750" ind.anim.IP_4000.22.frame.5.bitmap="CtxProceedStep5" ind.anim.IP_4000.22.frame.5.duration="750"/>
            <DIAGNOSTICS ind.anim.IP_4000.23.frame.1.bitmap="DiagnosticFrame1" ind.anim.IP_4000.23.frame.1.duration="3000" ind.anim.IP_4000.23.frame.2.bitmap="DiagnosticFrame2" ind.anim.IP_4000.23.frame.2.duration="3000" ind.anim.IP_4000.23.frame.3.bitmap="DiagnosticFrame3" ind.anim.IP_4000.23.frame.3.duration="750" ind.anim.IP_4000.23.frame.4.bitmap="DiagnosticFrame4" ind.anim.IP_4000.23.frame.4.duration="750" ind.anim.IP_4000.23.frame.5.bitmap="DiagnosticFrame5" ind.anim.IP_4000.23.frame.5.duration="750" ind.anim.IP_4000.23.frame.6.bitmap="DiagnosticFrame6" ind.anim.IP_4000.23.frame.6.duration="750"/>
            <CTX_DIALTONE ind.anim.IP_4000.24.frame.1.bitmap="CtxUndefined" ind.anim.IP_4000.24.frame.1.duration="0"/>
            <CTX_HELD ind.anim.IP_4000.25.frame.1.bitmap="CtxUndefined" ind.anim.IP_4000.25.frame.1.duration="0"/>
            <CTX_DISCONNECT ind.anim.IP_4000.26.frame.1.bitmap="CtxUndefined" ind.anim.IP_4000.26.frame.1.duration="0"/>
            <CTX_CUSTOM1 ind.anim.IP_4000.27.frame.1.bitmap="CtxUndefined" ind.anim.IP_4000.27.frame.1.duration="0"/>
            <CTX_CUSTOM2 ind.anim.IP_4000.28.frame.1.bitmap="CtxUndefined" ind.anim.IP_4000.28.frame.1.duration="0"/>
            <CTX_CUSTOM3 ind.anim.IP_4000.29.frame.1.bitmap="CtxUndefined" ind.anim.IP_4000.29.frame.1.duration="0"/>
            <CTX_CUSTOM4 ind.anim.IP_4000.30.frame.1.bitmap="CtxUndefined" ind.anim.IP_4000.30.frame.1.duration="0"/>
            <CTX_CUSTOM5 ind.anim.IP_4000.31.frame.1.bitmap="CtxUndefined" ind.anim.IP_4000.31.frame.1.duration="0"/>
            <CTX_CUSTOM6 ind.anim.IP_4000.32.frame.1.bitmap="CtxUndefined" ind.anim.IP_4000.32.frame.1.duration="0"/>
            <CTX_CUSTOM7 ind.anim.IP_4000.33.frame.1.bitmap="CtxUndefined" ind.anim.IP_4000.33.frame.1.duration="0"/>
            <CTX_CUSTOM8 ind.anim.IP_4000.34.frame.1.bitmap="CtxUndefined" ind.anim.IP_4000.34.frame.1.duration="0"/>
            <CTX_UNASSIGNED ind.anim.IP_4000.35.frame.1.bitmap="CtxUndefined" ind.anim.IP_4000.35.frame.1.duration="0"/>
            <CTX_FEATURE_ENA ind.anim.IP_4000.36.frame.1.bitmap="CtxFeatureEna" ind.anim.IP_4000.36.frame.1.duration="0"/>
            <CTX_FEATURE_DIS ind.anim.IP_4000.37.frame.1.bitmap="CtxFeatureDis" ind.anim.IP_4000.37.frame.1.duration="0"/>
            <IDLE_DISPLAY ind.anim.IP_4000.38.frame.1.bitmap="polycom/bmp/ip4000" ind.anim.IP_4000.38.frame.1.duration="0"/>
            <IDLE_DISPLAY_WIDE ind.anim.IP_4000.39.frame.1.bitmap="polycom/bmp/ip4000" ind.anim.IP_4000.39.frame.1.duration="0"/>
            <CTX_LOGIN ind.anim.IP_4000.40.frame.1.bitmap="CtxUndefined" ind.anim.IP_4000.40.frame.1.duration="0"/>
            <CTX_LOGOUT ind.anim.IP_4000.41.frame.1.bitmap="CtxACDLogout" ind.anim.IP_4000.41.frame.1.duration="0"/>
            <CTX_AGENT_AVAIL ind.anim.IP_4000.42.frame.1.bitmap="CtxACDAvailable" ind.anim.IP_4000.42.frame.1.duration="0"/>
            <CTX_AGENT_UNAVAIL ind.anim.IP_4000.43.frame.1.bitmap="CtxACDUnavailableStep1" ind.anim.IP_4000.43.frame.1.duration="1000" ind.anim.IP_4000.43.frame.2.bitmap="CtxACDUnavailableStep2" ind.anim.IP_4000.43.frame.2.duration="1000"/>
            <CTX_ACTIVE_SECURE ind.anim.IP_4000.48.frame.1.bitmap="CtxActiveStep1" ind.anim.IP_4000.48.frame.1.duration="750" ind.anim.IP_4000.48.frame.2.bitmap="CtxActiveStep2" ind.anim.IP_4000.48.frame.2.duration="750" ind.anim.IP_4000.48.frame.3.bitmap="CtxActiveStep3" ind.anim.IP_4000.48.frame.3.duration="750" ind.anim.IP_4000.48.frame.4.bitmap="CtxActiveStep4" ind.anim.IP_4000.48.frame.4.duration="750" ind.anim.IP_4000.48.frame.5.bitmap="CtxActiveStep5" ind.anim.IP_4000.48.frame.5.duration="750" ind.anim.IP_4000.48.frame.6.bitmap="CtxActiveSecure" ind.anim.IP_4000.48.frame.6.duration="750"/>
            <CTX_CONF_SECURE ind.anim.IP_4000.49.frame.1.bitmap="CtxConfStep1" ind.anim.IP_4000.49.frame.1.duration="1000" ind.anim.IP_4000.49.frame.2.bitmap="CtxConfStep2" ind.anim.IP_4000.49.frame.2.duration="1000" ind.anim.IP_4000.49.frame.3.bitmap="CtxConfStep3" ind.anim.IP_4000.49.frame.3.duration="1000" ind.anim.IP_4000.49.frame.4.bitmap="CtxActiveSecure" ind.anim.IP_4000.49.frame.4.duration="1000"/>
         </IP_4000>
      </Animations>
      <Patterns>
         <OFF ind.pattern.1.step.1.state="Off" ind.pattern.1.step.1.duration="0"/>
         <ON ind.pattern.2.step.1.state="On" ind.pattern.2.step.1.duration="0"/>
         <WINK ind.pattern.3.step.1.state="On" ind.pattern.3.step.1.duration="250" ind.pattern.3.step.2.state="Off" ind.pattern.3.step.2.duration="750"/>
         <FLASH ind.pattern.4.step.1.state="On" ind.pattern.4.step.1.duration="500" ind.pattern.4.step.2.state="Off" ind.pattern.4.step.2.duration="500"/>
         <FLUTTER ind.pattern.5.step.1.state="On" ind.pattern.5.step.1.duration="250" ind.pattern.5.step.2.state="Off" ind.pattern.5.step.2.duration="250"/>
         <BROKEN_FLUTTER ind.pattern.6.step.1.state="On" ind.pattern.6.step.1.duration="250" ind.pattern.6.step.2.state="Off" ind.pattern.6.step.2.duration="250" ind.pattern.6.step.3.state="On" ind.pattern.6.step.3.duration="250" ind.pattern.6.step.4.state="Off" ind.pattern.6.step.4.duration="250" ind.pattern.6.step.5.state="On" ind.pattern.6.step.5.duration="250" ind.pattern.6.step.6.state="Off" ind.pattern.6.step.6.duration="1500"/>
         <ACTIVE ind.pattern.7.step.1.state="On" ind.pattern.7.step.1.duration="0" ind.pattern.7.step.1.colour="Green"/>
         <OFFERING ind.pattern.8.step.1.state="On" ind.pattern.8.step.1.duration="250" ind.pattern.8.step.1.colour="Green" ind.pattern.8.step.2.state="Off" ind.pattern.8.step.2.duration="250"/>
         <FLASH_SLOW ind.pattern.9.step.1.state="On" ind.pattern.9.step.1.duration="1000" ind.pattern.9.step.2.state="Off" ind.pattern.9.step.2.duration="1000"/>
         <LOCKED_OUT ind.pattern.10.step.1.state="On" ind.pattern.10.step.1.duration="0" ind.pattern.10.step.1.colour="Red"/>
         <SCA_HELD ind.pattern.11.step.1.state="On" ind.pattern.11.step.1.duration="750" ind.pattern.11.step.1.colour="Green" ind.pattern.11.step.2.state="Off" ind.pattern.11.step.2.duration="250"/>
         <HELD ind.pattern.12.step.1.state="On" ind.pattern.12.step.1.duration="750" ind.pattern.12.step.1.colour="Green" ind.pattern.12.step.2.state="Off" ind.pattern.12.step.2.duration="250"/>
         <LED_CUSTOM1 ind.pattern.13.step.1.state="Off" ind.pattern.13.step.1.duration="0"/>
         <LED_CUSTOM2 ind.pattern.14.step.1.state="Off" ind.pattern.14.step.1.duration="0"/>
         <LED_CUSTOM3 ind.pattern.15.step.1.state="Off" ind.pattern.15.step.1.duration="0"/>
         <LED_CUSTOM4 ind.pattern.16.step.1.state="Off" ind.pattern.16.step.1.duration="0"/>
         <LED_CUSTOM5 ind.pattern.17.step.1.state="Off" ind.pattern.17.step.1.duration="0"/>
         <LED_CUSTOM6 ind.pattern.18.step.1.state="Off" ind.pattern.18.step.1.duration="0"/>
         <LED_CUSTOM7 ind.pattern.19.step.1.state="Off" ind.pattern.19.step.1.duration="0"/>
         <LED_CUSTOM8 ind.pattern.20.step.1.state="Off" ind.pattern.20.step.1.duration="0"/>
      </Patterns>
      <Classes>
         <LED ind.class.1.state.1.index="1" ind.class.1.state.2.index="2" ind.class.1.state.3.index="3" ind.class.1.state.4.index="4" ind.class.1.state.5.index="5" ind.class.1.state.6.index="6" ind.class.1.state.7.index="7" ind.class.1.state.8.index="8" ind.class.1.state.9.index="9" ind.class.1.state.10.index="10" ind.class.1.state.11.index="11" ind.class.1.state.12.index="12" ind.class.1.state.13.index="13" ind.class.1.state.14.index="14" ind.class.1.state.15.index="15" ind.class.1.state.16.index="16" ind.class.1.state.17.index="17" ind.class.1.state.18.index="18" ind.class.1.state.19.index="19"/>
         <CONTEXT ind.class.2.state.1.index="2" ind.class.2.state.2.index="11" ind.class.2.state.3.index="12" ind.class.2.state.4.index="10" ind.class.2.state.5.index="9" ind.class.2.state.6.index="8" ind.class.2.state.7.index="13" ind.class.2.state.8.index="14" ind.class.2.state.9.index="15" ind.class.2.state.10.index="17" ind.class.2.state.11.index="18" ind.class.2.state.12.index="19" ind.class.2.state.13.index="20" ind.class.2.state.14.index="21" ind.class.2.state.15.index="22" ind.class.2.state.16.index="24" ind.class.2.state.17.index="25" ind.class.2.state.18.index="26" ind.class.2.state.19.index="27" ind.class.2.state.20.index="28" ind.class.2.state.21.index="29" ind.class.2.state.22.index="30" ind.class.2.state.23.index="31" ind.class.2.state.24.index="32" ind.class.2.state.25.index="33" ind.class.2.state.26.index="34" ind.class.2.state.27.index="35" ind.class.2.state.28.index="36" ind.class.2.state.29.index="37" ind.class.2.state.30.index="40" ind.class.2.state.31.index="41" ind.class.2.state.32.index="42" ind.class.2.state.33.index="43" ind.class.2.state.34.index="44" ind.class.2.state.35.index="45" ind.class.2.state.36.index="46" ind.class.2.state.37.index="47" ind.class.2.state.38.index="48" ind.class.2.state.39.index="49" ind.class.2.state.40.index="50"/>
         <DND ind.class.3.state.1.index="1" ind.class.3.state.2.index="7"/>
         <TRANSDUCER ind.class.4.state.1.index="1" ind.class.4.state.2.index="3" ind.class.4.state.3.index="4" ind.class.4.state.4.index="5" ind.class.4.state.5.index="16" ind.class.4.state.6.index="50"/>
         <MIC_MUTE ind.class.5.state.1.inde:x="1" ind.class.5.state.2.index="6"/>
         <SLEEP ind.class.6.state.1.index="0"/>
         <DIAGNOSTICS ind.class.7.state.1.index="0" ind.class.7.state.2.index="23"/>
         <IDLE_DISPLAY ind.class.8.state.1.index="1" ind.class.8.state.2.index="38" ind.class.8.state.3.index="39"/>
      </Classes>
      <Assignments>
         <led ind.led.1.index="1" ind.led.1.physNum="1" ind.led.1.class="1" ind.led.2.index="14" ind.led.2.physNum="2" ind.led.2.class="1" ind.led.3.index="15" ind.led.3.physNum="3" ind.led.3.class="1" ind.led.4.index="16" ind.led.4.physNum="4" ind.led.4.class="1" ind.led.5.index="17" ind.led.5.physNum="5" ind.led.5.class="1" ind.led.6.index="18" ind.led.6.physNum="6" ind.led.6.class="1" ind.led.7.index="19" ind.led.7.physNum="7" ind.led.7.class="1" ind.led.8.index="20" ind.led.8.physNum="8" ind.led.8.class="1" ind.led.9.index="21" ind.led.9.physNum="9" ind.led.9.class="1" ind.led.10.index="22" ind.led.10.physNum="10" ind.led.10.class="1"/>
         <gi>
            <IP_300 ind.gi.IP_300.1.index="2" ind.gi.IP_300.1.class="6" ind.gi.IP_300.1.physX="0" ind.gi.IP_300.1.physY="0" ind.gi.IP_300.1.physW="0" ind.gi.IP_300.1.physH="0" ind.gi.IP_300.2.index="3" ind.gi.IP_300.2.class="6" ind.gi.IP_300.2.physX="0" ind.gi.IP_300.2.physY="0" ind.gi.IP_300.2.physW="0" ind.gi.IP_300.2.physH="0" ind.gi.IP_300.3.index="4" ind.gi.IP_300.3.class="6" ind.gi.IP_300.3.physX="0" ind.gi.IP_300.3.physY="0" ind.gi.IP_300.3.physW="0" ind.gi.IP_300.3.physH="0" ind.gi.IP_300.4.index="5" ind.gi.IP_300.4.class="4" ind.gi.IP_300.4.physX="19" ind.gi.IP_300.4.physY="0" ind.gi.IP_300.4.physW="1" ind.gi.IP_300.4.physH="1" ind.gi.IP_300.5.index="6" ind.gi.IP_300.5.class="5" ind.gi.IP_300.5.physX="19" ind.gi.IP_300.5.physY="0" ind.gi.IP_300.5.physW="1" ind.gi.IP_300.5.physH="1" ind.gi.IP_300.6.index="7" ind.gi.IP_300.6.class="3" ind.gi.IP_300.6.physX="19" ind.gi.IP_300.6.physY="0" ind.gi.IP_300.6.physW="1" ind.gi.IP_300.6.physH="1" ind.gi.IP_300.7.index="8" ind.gi.IP_300.7.class="2" ind.gi.IP_300.7.physX="19" ind.gi.IP_300.7.physY="1" ind.gi.IP_300.7.physW="1" ind.gi.IP_300.7.physH="1" ind.gi.IP_300.8.index="9" ind.gi.IP_300.8.class="2" ind.gi.IP_300.8.physX="19" ind.gi.IP_300.8.physY="2" ind.gi.IP_300.8.physW="1" ind.gi.IP_300.8.physH="1"/>
            <IP_400 ind.gi.IP_400.1.index="2" ind.gi.IP_400.1.class="6" ind.gi.IP_400.1.physX="0" ind.gi.IP_400.1.physY="0" ind.gi.IP_400.1.physW="0" ind.gi.IP_400.1.physH="0" ind.gi.IP_400.2.index="3" ind.gi.IP_400.2.class="6" ind.gi.IP_400.2.physX="0" ind.gi.IP_400.2.physY="0" ind.gi.IP_400.2.physW="0" ind.gi.IP_400.2.physH="0" ind.gi.IP_400.3.index="4" ind.gi.IP_400.3.class="6" ind.gi.IP_400.3.physX="0" ind.gi.IP_400.3.physY="0" ind.gi.IP_400.3.physW="0" ind.gi.IP_400.3.physH="0" ind.gi.IP_400.4.index="5" ind.gi.IP_400.4.class="4" ind.gi.IP_400.4.physX="122" ind.gi.IP_400.4.physY="0" ind.gi.IP_400.4.physW="10" ind.gi.IP_400.4.physH="10" ind.gi.IP_400.5.index="6" ind.gi.IP_400.5.class="5" ind.gi.IP_400.5.physX="112" ind.gi.IP_400.5.physY="0" ind.gi.IP_400.5.physW="10" ind.gi.IP_400.5.physH="10" ind.gi.IP_400.6.index="7" ind.gi.IP_400.6.class="3" ind.gi.IP_400.6.physX="102" ind.gi.IP_400.6.physY="0" ind.gi.IP_400.6.physW="10" ind.gi.IP_400.6.physH="10" ind.gi.IP_400.7.index="8" ind.gi.IP_400.7.class="2" ind.gi.IP_400.7.physX="122" ind.gi.IP_400.7.physY="13" ind.gi.IP_400.7.physW="10" ind.gi.IP_400.7.physH="10" ind.gi.IP_400.8.index="9" ind.gi.IP_400.8.class="2" ind.gi.IP_400.8.physX="122" ind.gi.IP_400.8.physY="24" ind.gi.IP_400.8.physW="10" ind.gi.IP_400.8.physH="10" ind.gi.IP_400.9.index="10" ind.gi.IP_400.9.class="2" ind.gi.IP_400.9.physX="0" ind.gi.IP_400.9.physY="45" ind.gi.IP_400.9.physW="10" ind.gi.IP_400.9.physH="10" ind.gi.IP_400.10.index="23" ind.gi.IP_400.10.class="8" ind.gi.IP_400.10.physX="0" ind.gi.IP_400.10.physY="12" ind.gi.IP_400.10.physW="94" ind.gi.IP_400.10.physH="23"/>
            <IP_500 ind.gi.IP_500.1.index="2" ind.gi.IP_500.1.class="6" ind.gi.IP_500.1.physX="0" ind.gi.IP_500.1.physY="0" ind.gi.IP_500.1.physW="0" ind.gi.IP_500.1.physH="0" ind.gi.IP_500.2.index="3" ind.gi.IP_500.2.class="6" ind.gi.IP_500.2.physX="0" ind.gi.IP_500.2.physY="0" ind.gi.IP_500.2.physW="0" ind.gi.IP_500.2.physH="0" ind.gi.IP_500.3.index="4" ind.gi.IP_500.3.class="6" ind.gi.IP_500.3.physX="0" ind.gi.IP_500.3.physY="0" ind.gi.IP_500.3.physW="0" ind.gi.IP_500.3.physH="0" ind.gi.IP_500.4.index="5" ind.gi.IP_500.4.class="4" ind.gi.IP_500.4.physX="45" ind.gi.IP_500.4.physY="51" ind.gi.IP_500.4.physW="10" ind.gi.IP_500.4.physH="10" ind.gi.IP_500.5.index="6" ind.gi.IP_500.5.class="5" ind.gi.IP_500.5.physX="45" ind.gi.IP_500.5.physY="51" ind.gi.IP_500.5.physW="10" ind.gi.IP_500.5.physH="10" ind.gi.IP_500.6.index="7" ind.gi.IP_500.6.class="3" ind.gi.IP_500.6.physX="45" ind.gi.IP_500.6.physY="51" ind.gi.IP_500.6.physW="10" ind.gi.IP_500.6.physH="10" ind.gi.IP_500.7.index="8" ind.gi.IP_500.7.class="2" ind.gi.IP_500.7.physX="0" ind.gi.IP_500.7.physY="3" ind.gi.IP_500.7.physW="10" ind.gi.IP_500.7.physH="10" ind.gi.IP_500.8.index="9" ind.gi.IP_500.8.class="2" ind.gi.IP_500.8.physX="0" ind.gi.IP_500.8.physY="24" ind.gi.IP_500.8.physW="10" ind.gi.IP_500.8.physH="10" ind.gi.IP_500.9.index="10" ind.gi.IP_500.9.class="2" ind.gi.IP_500.9.physX="0" ind.gi.IP_500.9.physY="45" ind.gi.IP_500.9.physW="10" ind.gi.IP_500.9.physH="10" ind.gi.IP_500.10.index="23" ind.gi.IP_500.10.class="8" ind.gi.IP_500.10.physX="45" ind.gi.IP_500.10.physY="0" ind.gi.IP_500.10.physW="114" ind.gi.IP_500.10.physH="51"/>
            <IP_600 ind.gi.IP_600.1.index="2" ind.gi.IP_600.1.class="6" ind.gi.IP_600.1.physX="0" ind.gi.IP_600.1.physY="0" ind.gi.IP_600.1.physW="0" ind.gi.IP_600.1.physH="0" ind.gi.IP_600.2.index="3" ind.gi.IP_600.2.class="6" ind.gi.IP_600.2.physX="0" ind.gi.IP_600.2.physY="0" ind.gi.IP_600.2.physW="0" ind.gi.IP_600.2.physH="0" ind.gi.IP_600.3.index="4" ind.gi.IP_600.3.class="6" ind.gi.IP_600.3.physX="0" ind.gi.IP_600.3.physY="0" ind.gi.IP_600.3.physW="0" ind.gi.IP_600.3.physH="0" ind.gi.IP_600.4.index="5" ind.gi.IP_600.4.class="4" ind.gi.IP_600.4.physX="115" ind.gi.IP_600.4.physY="105" ind.gi.IP_600.4.physW="20" ind.gi.IP_600.4.physH="20" ind.gi.IP_600.5.index="6" ind.gi.IP_600.5.class="5" ind.gi.IP_600.5.physX="0" ind.gi.IP_600.5.physY="0" ind.gi.IP_600.5.physW="0" ind.gi.IP_600.5.physH="0" ind.gi.IP_600.6.index="7" ind.gi.IP_600.6.class="3" ind.gi.IP_600.6.physX="113" ind.gi.IP_600.6.physY="110" ind.gi.IP_600.6.physW="20" ind.gi.IP_600.6.physH="20" ind.gi.IP_600.7.index="8" ind.gi.IP_600.7.class="2" ind.gi.IP_600.7.physX="0" ind.gi.IP_600.7.physY="6" ind.gi.IP_600.7.physW="20" ind.gi.IP_600.7.physH="20" ind.gi.IP_600.8.index="9" ind.gi.IP_600.8.class="2" ind.gi.IP_600.8.physX="0" ind.gi.IP_600.8.physY="27" ind.gi.IP_600.8.physW="20" ind.gi.IP_600.8.physH="20" ind.gi.IP_600.9.index="10" ind.gi.IP_600.9.class="2" ind.gi.IP_600.9.physX="0" ind.gi.IP_600.9.physY="48" ind.gi.IP_600.9.physW="20" ind.gi.IP_600.9.physH="20" ind.gi.IP_600.10.index="11" ind.gi.IP_600.10.class="2" ind.gi.IP_600.10.physX="0" ind.gi.IP_600.10.physY="69" ind.gi.IP_600.10.physW="20" ind.gi.IP_600.10.physH="20" ind.gi.IP_600.11.index="12" ind.gi.IP_600.11.class="2" ind.gi.IP_600.11.physX="0" ind.gi.IP_600.11.physY="90" ind.gi.IP_600.11.physW="20" ind.gi.IP_600.11.physH="20" ind.gi.IP_600.12.index="13" ind.gi.IP_600.12.class="2" ind.gi.IP_600.12.physX="0" ind.gi.IP_600.12.physY="111" ind.gi.IP_600.12.physW="20" ind.gi.IP_600.12.physH="20" ind.gi.IP_600.13.index="23" ind.gi.IP_600.13.class="8" ind.gi.IP_600.13.physX="110" ind.gi.IP_600.13.physY="0" ind.gi.IP_600.13.physW="209" ind.gi.IP_600.13.physH="109"/>
            <IP_4000 ind.gi.IP_4000.1.index="2" ind.gi.IP_4000.1.class="6" ind.gi.IP_4000.1.physX="0" ind.gi.IP_4000.1.physY="0" ind.gi.IP_4000.1.physW="0" ind.gi.IP_4000.1.physH="0" ind.gi.IP_4000.2.index="3" ind.gi.IP_4000.2.class="6" ind.gi.IP_4000.2.physX="0" ind.gi.IP_4000.2.physY="0" ind.gi.IP_4000.2.physW="0" ind.gi.IP_4000.2.physH="0" ind.gi.IP_4000.3.index="4" ind.gi.IP_4000.3.class="6" ind.gi.IP_4000.3.physX="0" ind.gi.IP_4000.3.physY="0" ind.gi.IP_4000.3.physW="0" ind.gi.IP_4000.3.physH="0" ind.gi.IP_4000.4.index="5" ind.gi.IP_4000.4.class="4" ind.gi.IP_4000.4.physX="16" ind.gi.IP_4000.4.physY="2" ind.gi.IP_4000.4.physW="14" ind.gi.IP_4000.4.physH="12" ind.gi.IP_4000.5.index="6" ind.gi.IP_4000.5.class="2" ind.gi.IP_4000.5.physX="16" ind.gi.IP_4000.5.physY="2" ind.gi.IP_4000.5.physW="14" ind.gi.IP_4000.5.physH="12" ind.gi.IP_4000.6.index="7" ind.gi.IP_4000.6.class="3" ind.gi.IP_4000.6.physX="16" ind.gi.IP_4000.6.physY="2" ind.gi.IP_4000.6.physW="14" ind.gi.IP_4000.6.physH="12" ind.gi.IP_4000.7.index="8" ind.gi.IP_4000.7.class="2" ind.gi.IP_4000.7.physX="0" ind.gi.IP_4000.7.physY="2" ind.gi.IP_4000.7.physW="14" ind.gi.IP_4000.7.physH="12" ind.gi.IP_4000.8.index="9" ind.gi.IP_4000.8.class="2" ind.gi.IP_4000.8.physX="0" ind.gi.IP_4000.8.physY="24" ind.gi.IP_4000.8.physW="10" ind.gi.IP_4000.8.physH="10" ind.gi.IP_4000.9.index="10" ind.gi.IP_4000.9.class="2" ind.gi.IP_4000.9.physX="0" ind.gi.IP_4000.9.physY="45" ind.gi.IP_4000.9.physW="10" ind.gi.IP_4000.9.physH="10" ind.gi.IP_4000.10.index="23" ind.gi.IP_4000.10.class="8" ind.gi.IP_4000.10.physX="40" ind.gi.IP_4000.10.physY="18" ind.gi.IP_4000.10.physW="150" ind.gi.IP_4000.10.physH="33"/>
         </gi>
      </Assignments>
   </indicators>
   <logging>
      <level>
         <change log.level.change.so="4" log.level.change.app1="4" log.level.change.sip="4" log.level.change.sspsc="4" log.level.change.ssps="4" log.level.change.pps="4" log.level.change.net="4" log.level.change.cfg="4" log.level.change.cdp="4" log.level.change.pmt="4" log.level.change.ftp="4" log.level.change.ares="4" log.level.change.dns="4" log.level.change.cxss="4" log.level.change.httpd="4" log.level.change.rdisk="4" log.level.change.copy="4" log.level.change.slog="4" log.level.change.res="4" log.level.change.key="4" log.level.change.log="4" log.level.change.curl="4" log.level.change.rtos="4" log.level.change.mb="4" log.level.change.ib="4" log.level.change.sotet="4" log.level.change.ttrs="4" log.level.change.usb="4"/>
      </level>
      <render log.render.level="1" log.render.type="2" log.render.realtime="1" log.render.stdout="1" log.render.file="1" log.render.file.size="16" log.render.file.upload.period="172800" log.render.file.upload.append="1" log.render.file.upload.append.sizeLimit="512" log.render.file.upload.append.limitMode="delete"/>
      <scheduled log.sched.1.name="showCpuLoad" log.sched.1.level="3" log.sched.1.period="15" log.sched.1.startMode="rel" log.sched.1.startTime="0" log.sched.1.startDay="0" log.sched.2.name="" log.sched.2.level="" log.sched.2.period="" log.sched.2.startMode="" log.sched.2.startTime="" log.sched.2.startDay=""/>
   </logging>
   <security sec.tagSerialNo="0">
      <pwd>
         <length sec.pwd.length.admin="1" sec.pwd.length.user="2"/>
      </pwd>
      <encryption>
         <upload sec.encryption.upload.dir="0" sec.encryption.upload.overrides="0"/>
      </encryption>
   </security>
   <provisioning prov.fileSystem.rfs0.minFreeSpace="5" prov.fileSystem.ffs0.4meg.minFreeSpace="420" prov.fileSystem.ffs0.8meg.minFreeSpace="512" prov.fileSystem.ffs0.2meg.minFreeSpace="48" prov.polling.enabled="0" prov.polling.mode="abs" prov.polling.period="86400" prov.polling.time="03:00"/>
   <RAMdisk ramdisk.enable="1" ramdisk.bytesPerBlock="0" ramdisk.blocksPerTrack="0" ramdisk.nBlocks="4096" ramdisk.minsize="50" ramdisk.minfree="3072"/>
   <request>
      <delay request.delay.type="call"/>
   </request>
   <feature feature.1.name="presence" feature.1.enabled="1" feature.2.name="messaging" feature.2.enabled="0" feature.3.name="directory" feature.3.enabled="1" feature.4.name="calllist" feature.4.enabled="1" feature.5.name="ring-download" feature.5.enabled="1" feature.6.name="calllist-received" feature.6.enabled="1" feature.7.name="calllist-placed" feature.7.enabled="1" feature.8.name="calllist-missed" feature.8.enabled="1" feature.9.name="url-dialing" feature.9.enabled="1" feature.10.name="call-park" feature.10.enabled="0" feature.11.name="group-call-pickup" feature.11.enabled="0" feature.12.name="directed-call-pickup" feature.12.enabled="0" feature.13.name="last-call-return" feature.13.enabled="0" feature.14.name="acd-login-logout" feature.14.enabled="0" feature.15.name="acd-agent-availability" feature.15.enabled="0"/>
   <resource>
      <finder res.finder.sizeLimit="300" res.finder.minFree="1200"/>
      <quotas res.quotas.1.name="tone" res.quotas.1.value="600" res.quotas.2.name="bitmap" res.quotas.2.value="20" res.quotas.3.name="font" res.quotas.3.value="10" res.quotas.4.name="xmlui" res.quotas.4.value="10"/>
   </resource>
   <microbrowser mb.proxy="">
      <main mb.main.home="http://$ipAdressServer/xmlservices/index.php"/>
      <idleDisplay mb.idleDisplay.home="" mb.idleDisplay.refresh="0"/>
      <limits mb.limits.nodes="" mb.limits.cache=""/>
   </microbrowser>
   <usb usb.enable="">
      <bulkDrive usb.bulkDrive.enable="" usb.bulkDrive.name="usbDrive"/>
   </usb>
</sip>
SIP;

    return $content;
}

/*
    mkdirFilePolycom nos crea los directorios para
    Polycom, para ello es necesario enviarle el directory donde va a crear los directorios.
*/
function mkdirFilePolycom($directory)
{
    exec("mkdir -p {$directory}polycom/logs"     ,$arrConsole,$dirLogs);
    exec("mkdir -p {$directory}polycom/overrides",$arrConsole,$dirOver);
    exec("mkdir -p {$directory}polycom/contacts" ,$arrConsole,$dirCont);
    return (!$dirLogs && !$dirOver && !$dirCont);
}
?>